/// @file
/// Operating-system-configuration definitions.

// Description  : A header file that contains operating-system-specific, project-specific, or client-specific configuration-related definitions
// Version      : 1.0.0.0
// Author       : Sital Technology R&D
//
// Modification history:
//



#ifndef operatingSystemConfiguration_INCLUDED
#define operatingSystemConfiguration_INCLUDED



#ifdef __cplusplus
extern "C" {
#endif



// Under VxWorks developers cannot specify preprocessor definitions, so that the following ones must be commented-in.
//#define VX_WORKS // Causes VxWorks-specific definitions to be included in the compilation.
//#define stld1553Library_SINGLE_USER_EXISTS // Excludes the semaphore-user-code in file <stld1553.cpp> in case no more than a single user thread may exist.
//#define sitalMaximum_DEVICES_RESTRICTED	10U // If defined, replaces sitalMaximum_DEVICES.


	
#ifdef __cplusplus
}
#endif



#endif // operatingSystemConfiguration_INCLUDED
