// Description  : A source file that contains the implementation of stld1553 library's exported functions
// Version      : 1.0.0.0
// Author       : Sital Technology R&D
//
// Modification history:
//

// implementation remarks:
// The following requirements has led to adding the below-defined DDC-stub functions:
// 1) functions with same names as DDC functions must be created in benefit of users having past DDC-user projects.
// 2) functions with improved names must be created in order to stand required programming style and client demands.
// 3) same code must serve a DDC function and its corresponding function of improved signature.
// find the documentation for any DDC-stub function at its corresponding function of improved signature.


//#include "stdafx.h"
#include "OperatingSystemDependencies.h"
#include "stld1553.h"



#ifdef _MANAGED
#pragma managed(push, off)
#endif



// static variables.



// internal functions.



// Exported functions.

#if defined(WIN32)
#pragma comment(linker, "/export:aceGetLibVersion=stld1553.sitalStld1553_GetShortLibraryVersion")

#pragma comment(linker, "/export:aceGetCoreVersion=stld1553.sitalStld1553_GetShortCoreVersion")

#pragma comment(linker, "/export:aceRegRead=stld1553.sitalDevice_Register_Read")

#pragma comment(linker, "/export:aceRegWrite=stld1553.sitalDevice_Register_Write")

#pragma comment(linker, "/export:aceMemRead=stld1553.sitalDevice_Memory_Read")

#pragma comment(linker, "/export:aceMemWrite=stld1553.sitalDevice_Memory_Write")

#pragma comment(linker, "/export:aceGetBSWErrString=stld1553.sitalStld1553_GetBlockStatusWordErrorString")

#pragma comment(linker, "/export:aceErrorStr=stld1553.sitalStld1553_GetReturnCodeDescriberString")

#pragma comment(linker, "/export:aceGetMsgTypeString=stld1553.sitalStld1553_GetMessageTypeString")

#pragma comment(linker, "/export:aceInitialize=stld1553.sitalDevice_Initialize")

#pragma comment(linker, "/export:aceFree=stld1553.sitalDevice_Free")

#pragma comment(linker, "/export:aceSetTimeTagValue=stld1553.sitalDevice_TimeTag_Set")

#pragma comment(linker, "/export:aceGetTimeTagValue=stld1553.sitalDevice_TimeTag_Get")

#pragma comment(linker, "/export:aceResetTimeTag=stld1553.sitalDevice_TimeTag_Reset")

#pragma comment(linker, "/export:aceSetTimeTagRes=stld1553.sitalDevice_TimeTag_SetResolution")

#pragma comment(linker, "/export:aceSetMetrics=stld1553.sitalDevice_OperationalStatisticsCollection_Configure")

#pragma comment(linker, "/export:aceSetIrqConfig=stld1553.sitalDevice_Irq_Configure")

#pragma comment(linker, "/export:aceSetIrqConditions=stld1553.sitalDevice_Irq_Manipulate")

#pragma comment(linker, "/export:aceSetAsyncIsr=stld1553.sitalDevice_SetAsynchronousMessagesIsr")

#pragma comment(linker, "/export:aceSetClockFreq=stld1553.sitalDevice_Clock_SetFrequency")

#pragma comment(linker, "/export:aceISQRead=stld1553.sitalDevice_Isq_ReadEntry")

#pragma comment(linker, "/export:aceISQClear=stld1553.sitalDevice_Isq_Clear")

#pragma comment(linker, "/export:aceISQEnable=stld1553.sitalDevice_Isq_Configure")

#pragma comment(linker, "/export:aceSetRespTimeOut=stld1553.sitalDevice_SetResponseTimeout")

#pragma comment(linker, "/export:aceBCSetWatchDogTimer=stld1553.sitalDevice_ConfigureWatchdogTimeout")

#pragma comment(linker, "/export:aceSetDecoderConfig=stld1553.sitalDevice_ConfigureDecoder")

#pragma comment(linker, "/export:aceSetRamParityChecking=stld1553.sitalDevice_ConfigureRamParityCheck")

#pragma comment(linker, "/export:aceTestRegisters=stld1553.sitalDevice_Test_Registers")

#pragma comment(linker, "/export:aceTestMemory=stld1553.sitalDevice_Test_Memory")

#pragma comment(linker, "/export:aceTestProtocol=stld1553.sitalDevice_Test_Protocol")

#pragma comment(linker, "/export:aceTestIrqs=stld1553.sitalDevice_Test_Interrupts")

#pragma comment(linker, "/export:aceTestVectors=stld1553.sitalDevice_Test_Vectors")

#pragma comment(linker, "/export:aceCmdWordCreate=stld1553.sitalBcStld1553_Command_GetCode")

#pragma comment(linker, "/export:aceCmdWordParse=stld1553.sitalBcStld1553_Command_Parse")

#pragma comment(linker, "/export:aceBCConfigure=stld1553.sitalBc_Initialize")

#pragma comment(linker, "/export:aceBCSetMsgRetry=stld1553.sitalBc_MessageRetryPolicy_Set")

#pragma comment(linker, "/export:aceBCStart=stld1553.sitalBc_Start")

#pragma comment(linker, "/export:aceBCStop=stld1553.sitalBc_Stop")

#pragma comment(linker, "/export:aceBCGetStatus=stld1553.sitalBc_GetActivationState")

#pragma comment(linker, "/export:aceBCDataBlkCreate=stld1553.sitalBc_DataBlock_Create")

#pragma comment(linker, "/export:aceBCDataBlkDelete=stld1553.sitalBc_DataBlock_Delete")

#pragma comment(linker, "/export:aceBCDataBlkWrite=stld1553.sitalBc_DataBlock_Write")

#pragma comment(linker, "/export:aceBCDataBlkRead=stld1553.sitalBc_DataBlock_Read")

#pragma comment(linker, "/export:aceBCFrameCreate=stld1553.sitalBc_Frame_Create")

#pragma comment(linker, "/export:aceBCFrameDelete=stld1553.sitalBc_Frame_Delete")

#pragma comment(linker, "/export:aceBCOpCodeCreate=stld1553.sitalBc_Command_Create")

#pragma comment(linker, "/export:aceBCOpCodeDelete=stld1553.sitalBc_Command_Delete")

#pragma comment(linker, "/export:aceBCMsgCreateBCtoRT=stld1553.sitalBc_Message_CreateBcToRt")

#pragma comment(linker, "/export:aceBCMsgCreateRTtoBC=stld1553.sitalBc_Message_CreateRtToBc")

#pragma comment(linker, "/export:aceBCMsgCreateRTtoRT=stld1553.sitalBc_Message_CreateRtToRt")

#pragma comment(linker, "/export:aceBCMsgCreateMode=stld1553.sitalBc_Message_CreateBcToOrFromRtMode")

#pragma comment(linker, "/export:aceBCMsgCreateBcst=stld1553.sitalBc_Message_CreateBcToBroadcast")

#pragma comment(linker, "/export:aceBCMsgCreateBcstRTtoRT=stld1553.sitalBc_Message_CreateRtToBroadcast")

#pragma comment(linker, "/export:aceBCMsgCreateBcstMode=stld1553.sitalBc_Message_CreateBcToOrFromBroadcastMode")

#pragma comment(linker, "/export:aceBCMsgCreate=stld1553.sitalBc_Message_Create")

#pragma comment(linker, "/export:aceBCMsgModifyBCtoRT=stld1553.sitalBc_Message_ModifyBcToRt")

#pragma comment(linker, "/export:aceBCMsgModifyRTtoBC=stld1553.sitalBc_Message_ModifyRtToBc")

#pragma comment(linker, "/export:aceBCMsgModifyRTtoRT=stld1553.sitalBc_Message_ModifyRtToRt")

#pragma comment(linker, "/export:aceBCMsgModifyMode=stld1553.sitalBc_Message_ModifyBcToOrFromRtMode")

#pragma comment(linker, "/export:aceBCMsgModifyBcst=stld1553.sitalBc_Message_ModifyBcToBroadcast")

#pragma comment(linker, "/export:aceBCMsgModifyBcstRTtoRT=stld1553.sitalBc_Message_ModifyRtToBroadcast")

#pragma comment(linker, "/export:aceBCMsgModifyBcstMode=stld1553.sitalBc_Message_ModifyBcToOrFromBroadcastMode")

#pragma comment(linker, "/export:aceBCMsgModify=stld1553.sitalBc_Message_Modify")

#pragma comment(linker, "/export:aceBCMsgDelete=stld1553.sitalBc_Message_Delete")

#pragma comment(linker, "/export:aceBCGetMsgFromIDRaw=stld1553.sitalBc_Message_GetByIdRaw")

#pragma comment(linker, "/export:aceBCDecodeRawMsg=stld1553.sitalBc_Message_DecodeRaw")

#pragma comment(linker, "/export:aceBCGetMsgFromIDDecoded=stld1553.sitalBc_Message_GetByIdDecoded")

#pragma comment(linker, "/export:aceBCMsgGapTimerEnable=stld1553.sitalBc_ConfigureMessageGapTimeFieldPolicy")

#pragma comment(linker, "/export:aceBCSetGPFState=stld1553.sitalBc_Gpf_SetState")

#pragma comment(linker, "/export:aceBCGetConditionCode=stld1553.sitalBc_GetConditionState")

#pragma comment(linker, "/export:aceBCGPQRead=stld1553.sitalBc_Gpq_Read")

#pragma comment(linker, "/export:aceBCGPQGetCount=stld1553.sitalBc_Gpq_GetEntriesCount")

#pragma comment(linker, "/export:aceBCFrmToHBuf=stld1553.sitalBc_Gpq_HandleNewEntries")

#pragma comment(linker, "/export:aceBCGetGPQMetric=stld1553.sitalBc_Gpq_GetOperationalStatistics")

#pragma comment(linker, "/export:aceBCAsyncMsgCreateBCtoRT=stld1553.sitalBc_AsynchronousMessage_CreateBcToRt")

#pragma comment(linker, "/export:aceBCAsyncMsgCreateRTtoBC=stld1553.sitalBc_AsynchronousMessage_CreateRtToBc")

#pragma comment(linker, "/export:aceBCAsyncMsgCreateRTtoRT=stld1553.sitalBc_AsynchronousMessage_CreateRtToRt")

#pragma comment(linker, "/export:aceBCAsyncMsgCreateMode=stld1553.sitalBc_AsynchronousMessage_CreateBcToOrFromRtMode")

#pragma comment(linker, "/export:aceBCAsyncMsgCreateBcst=stld1553.sitalBc_AsynchronousMessage_CreateBcToBroadcast")

#pragma comment(linker, "/export:aceBCAsyncMsgCreateBcstRTtoRT=stld1553.sitalBc_AsynchronousMessage_CreateRtToBroadcast")

#pragma comment(linker, "/export:aceBCAsyncMsgCreateBcstMode=stld1553.sitalBc_AsynchronousMessage_CreateBcToOrFromBroadcastMode")

#pragma comment(linker, "/export:aceBCSendAsyncMsgLP=stld1553.sitalBc_AsynchronousMessage_SendAtLowPriority")

#pragma comment(linker, "/export:aceBCSendAsyncMsgHP=stld1553.sitalBc_AsynchronousMessage_SendAtHighPriority")

#pragma comment(linker, "/export:aceBCInstallHBuf=stld1553.sitalBc_HostBuffer_Initialize")

#pragma comment(linker, "/export:aceBCUninstallHBuf=stld1553.sitalBc_HostBuffer_Free")

#pragma comment(linker, "/export:aceBCGetHBufMsgCount=stld1553.sitalBc_HostBuffer_Message_GetCount")

#pragma comment(linker, "/export:aceBCGetHBufMsgDecoded=stld1553.sitalBc_HostBuffer_Message_GetDecoded")

#pragma comment(linker, "/export:aceBCGetHBufMsgsRaw=stld1553.sitalBc_HostBuffer_Message_GetRaw")

#pragma comment(linker, "/export:aceBCGetHBufMetric=stld1553.sitalBc_HostBuffer_GetOperationalStatistics")

#pragma comment(linker, "/export:aceRTConfigure=stld1553.sitalRt_Initialize")

#pragma comment(linker, "/export:aceRTSetAddrSource=stld1553.sitalRt_AddressSource_Set")

#pragma comment(linker, "/export:aceRTGetAddrSource=stld1553.sitalRt_AddressSource_Get")

#pragma comment(linker, "/export:aceRTRelatchAddress=stld1553.sitalRt_Address_Relatch")

#pragma comment(linker, "/export:aceRTSetAddress=stld1553.sitalRt_Address_Set")

#pragma comment(linker, "/export:aceRTGetAddress=stld1553.sitalRt_Address_Get")

#pragma comment(linker, "/export:aceRTStart=stld1553.sitalRt_Start")

#pragma comment(linker, "/export:aceRTStop=stld1553.sitalRt_Stop")

#pragma comment(linker, "/export:aceRTDataBlkCreate=stld1553.sitalRt_DataBlock_Create")

#pragma comment(linker, "/export:aceRTDataBlkDelete=stld1553.sitalRt_DataBlock_Delete")

#pragma comment(linker, "/export:aceRTDataBlkWrite=stld1553.sitalRt_DataBlock_Write")

#pragma comment(linker, "/export:aceRTDataBlkRead=stld1553.sitalRt_DataBlock_Read")

#pragma comment(linker, "/export:aceRTDataBlkMapToSA=stld1553.sitalRt_DataBlock_MapToSubaddress")

#pragma comment(linker, "/export:aceRTDataBlkUnmapFromSA=stld1553.sitalRt_DataBlock_UnmapFromSubaddress")

#pragma comment(linker, "/export:aceRTModeCodeIrqEnable=stld1553.sitalRt_ModeCode_EnableIrq")

#pragma comment(linker, "/export:aceRTModeCodeIrqDisable=stld1553.sitalRt_ModeCode_DisableIrq")

#pragma comment(linker, "/export:aceRTModeCodeIrqStatus=stld1553.sitalRt_ModeCode_GetIrq")

#pragma comment(linker, "/export:aceRTModeCodeReadData=stld1553.sitalRt_ModeCode_ReadData")

#pragma comment(linker, "/export:aceRTModeCodeWriteData=stld1553.sitalRt_ModeCode_WriteData")

#pragma comment(linker, "/export:aceRTMsgLegalityEnable=stld1553.sitalRt_MessageLegality_Enable")

#pragma comment(linker, "/export:aceRTMsgLegalityDisable=stld1553.sitalRt_MessageLegality_Disable")

#pragma comment(linker, "/export:aceRTMsgLegalityStatus=stld1553.sitalRt_MessageLegality_GetStatus")

#pragma comment(linker, "/export:aceRTBusyBitsTblSet=stld1553.sitalRt_MessageBusyBit_Set")

#pragma comment(linker, "/export:aceRTBusyBitsTblClear=stld1553.sitalRt_MessageBusyBit_Clear")

#pragma comment(linker, "/export:aceRTBusyBitsTblStatus=stld1553.sitalRt_MessageBusyBit_GetStatus")

#pragma comment(linker, "/export:aceRTStatusBitsSet=stld1553.sitalRt_ResponseStatusBits_Set")

#pragma comment(linker, "/export:aceRTStatusBitsClear=stld1553.sitalRt_ResponseStatusBits_Unset")

#pragma comment(linker, "/export:aceRTStatusBitsStatus=stld1553.sitalRt_ResponseStatusBits_Get")

#pragma comment(linker, "/export:aceRTGetStkMsgsRaw=stld1553.sitalRt_Message_GetFromStackRaw")

#pragma comment(linker, "/export:aceRTGetStkMsgDecoded=stld1553.sitalRt_Message_GetFromStackDecoded")

#pragma comment(linker, "/export:aceRTDecodeRawMsg=stld1553.sitalRt_Message_DecodeRaw")

#pragma comment(linker, "/export:aceRTBITWrdConfig=stld1553.sitalRt_BuiltInTestWord_Configure")

#pragma comment(linker, "/export:aceRTBITWrdRead=stld1553.sitalRt_BuiltInTestWord_Read")

#pragma comment(linker, "/export:aceRTBITWrdWrite=stld1553.sitalRt_BuiltInTestWord_Write")

#pragma comment(linker, "/export:aceRTInstallHBuf=stld1553.sitalRt_HostBuffer_Initialize")

#pragma comment(linker, "/export:aceRTUninstallHBuf=stld1553.sitalRt_HostBuffer_Free")

#pragma comment(linker, "/export:aceRTStkToHBuf=stld1553.sitalRt_HostBuffer_Message_Record")

#pragma comment(linker, "/export:aceRTGetHBufMsgCount=stld1553.sitalRt_HostBuffer_Message_GetCount")

#pragma comment(linker, "/export:aceRTGetHBufMsgDecoded=stld1553.sitalRt_HostBuffer_Message_GetDecoded")

#pragma comment(linker, "/export:aceRTGetHBufMsgsRaw=stld1553.sitalRt_HostBuffer_Message_GetRaw")

#pragma comment(linker, "/export:aceRTGetHBufMetric=stld1553.sitalRt_HostBuffer_GetOperationalStatistics")

#pragma comment(linker, "/export:aceRTGetStkMetric=stld1553.sitalRt_Stack_GetOperationalStatistics")

#pragma comment(linker, "/export:aceMTConfigure=stld1553.sitalMt_Initialize")

#pragma comment(linker, "/export:aceMTGetStkMetric=stld1553.sitalMt_Stack_GetOperationalStatistics")

#pragma comment(linker, "/export:aceMTSwapStks=stld1553.sitalMt_Stack_Swap")

#pragma comment(linker, "/export:aceMTGetInfo=stld1553.sitalMt_GetInformation")

#pragma comment(linker, "/export:aceMTStart=stld1553.sitalMt_Start")

#pragma comment(linker, "/export:aceMTStop=stld1553.sitalMt_Stop")

#pragma comment(linker, "/export:aceMTPause=stld1553.sitalMt_Pause")

#pragma comment(linker, "/export:aceMTContinue=stld1553.sitalMt_Continue")

#pragma comment(linker, "/export:aceMTEnableRTFilter=stld1553.sitalMt_MessageMonitoring_Enable")

#pragma comment(linker, "/export:aceMTDisableRTFilter=stld1553.sitalMt_MessageMonitoring_Disable")

#pragma comment(linker, "/export:aceMTGetRTFilter=stld1553.sitalMt_MessageMonitoring_GetStatus")

#pragma comment(linker, "/export:aceMTDecodeRawMsg=stld1553.sitalMt_Message_DecodeRaw")

#pragma comment(linker, "/export:aceMTGetStkMsgsRaw=stld1553.sitalMt_Message_GetFromStackRaw")

#pragma comment(linker, "/export:aceMTGetStkMsgDecoded=stld1553.sitalMt_Message_GetFromStackDecoded")

#pragma comment(linker, "/export:aceMTInstallHBuf=stld1553.sitalMt_HostBuffer_Initialize")

#pragma comment(linker, "/export:aceMTUninstallHBuf=stld1553.sitalMt_HostBuffer_Free")

#pragma comment(linker, "/export:aceMTStkToHBuf=stld1553.sitalMt_HostBuffer_Message_Record")

#pragma comment(linker, "/export:aceMTGetHBufMsgCount=stld1553.sitalMt_HostBuffer_Message_GetCount")

#pragma comment(linker, "/export:aceMTGetHBufMsgDecoded=stld1553.sitalMt_HostBuffer_Message_GetDecoded")

#pragma comment(linker, "/export:aceMTGetHBufMsgsRaw=stld1553.sitalMt_HostBuffer_Message_GetRaw")

#pragma comment(linker, "/export:aceMTGetHBufMetric=stld1553.sitalMt_HostBuffer_GetOperationalStatistics")

#pragma comment(linker, "/export:aceRTMTConfigure=stld1553.sitalRtMt_Initialize")

#pragma comment(linker, "/export:aceRTMTStart=stld1553.sitalRtMt_Start")

#pragma comment(linker, "/export:aceRTMTStop=stld1553.sitalRtMt_Stop")

#pragma comment(linker, "/export:aceRTMTInstallHBuf=stld1553.sitalRtMt_HostBuffer_Initialize")

#pragma comment(linker, "/export:aceRTMTUninstallHBuf=stld1553.sitalRtMt_HostBuffer_Free")

#pragma comment(linker, "/export:aceRTMTStkToHBuf=stld1553.sitalRtMt_HostBuffer_Message_Record")

#pragma comment(linker, "/export:aceRTMTGetHBufMsgCount=stld1553.sitalRtMt_HostBuffer_Message_GetCount")

#pragma comment(linker, "/export:aceRTMTGetHBufMsgDecoded=stld1553.sitalRtMt_HostBuffer_Message_GetDecoded")

#pragma comment(linker, "/export:aceRTMTGetHBufMsgsRaw=stld1553.sitalRtMt_HostBuffer_Message_GetRaw")

#pragma comment(linker, "/export:aceRTMTGetHBufMetric=stld1553.sitalRtMt_HostBuffer_GetOperationalStatistics")

#elif defined(__unix__)
// Note: All the functions in a Linux shared library are automatically exported, so the following DDC ACE functions need no export declaration (e.g., DEF file).

// Function declarations.

U16BIT _DECL aceGetLibVersion (void);

U16BIT _DECL aceGetCoreVersion (void);

S8BIT* _DECL aceGetBSWErrString (U16BIT wMode, U16BIT wBlockStatus);

S16BIT _DECL aceErrorStr (S16BIT swError, char* szpErrorString, U16BIT wMaximumStringLength);

S8BIT* _DECL aceGetMsgTypeString (U16BIT wMessageType);

U16BIT _DECL aceRegRead (S16BIT swDevice, U16BIT wRegisterAddress);

S16BIT _DECL aceRegWrite (S16BIT swDevice, U16BIT wRegisterAddress, U16BIT wRegisterValue);

U16BIT _DECL aceMemRead (S16BIT swDevice, U16BIT wDeviceMemoryAddress);

S16BIT _DECL aceMemWrite (S16BIT swDevice, U16BIT wDeviceMemoryAddress, U16BIT wDeviceMemoryValue);

S16BIT _DECL aceInitialize (	S16BIT swDevice,	U16BIT wAccess,	U16BIT wMode,	U32BIT dwSizeOfAllocatedMemory,	U32BIT dwRegistersAddress,	U32BIT dwMemoryAddress);

S16BIT _DECL aceFree (S16BIT swDevice);

S16BIT _DECL aceSetTimeTagValue (S16BIT swDevice, U16BIT wTimeTag);

S16BIT _DECL aceGetTimeTagValue (S16BIT swDevice, U16BIT* wpTimeTag);

S16BIT _DECL aceResetTimeTag (S16BIT swDevice);

S16BIT _DECL aceSetTimeTagRes (S16BIT swDevice, U16BIT wTimeTagResolution);

S16BIT _DECL aceSetMetrics (S16BIT swDevice, U16BIT bIsOperationalStatisticsCollected);

S16BIT _DECL aceSetIrqConfig (S16BIT swDevice, U16BIT wInterruptMode, U16BIT wAutoClear);

S16BIT _DECL aceSetIrqConditions (S16BIT swDevice, U16BIT bIsInterruptEnabled, U32BIT dwIrqMask, void(_DECL *funcpExternalIsr)(S16BIT swDevice, U32BIT dwIrqStatus));

S16BIT _DECL aceSetAsyncIsr (S16BIT swDevice, ASYNCHRONOUS_MESSAGE_ISR_FUNCTION funcpAsynchronousMessagesIsr);

S16BIT _DECL aceSetClockFreq (S16BIT swDevice, U16BIT wClockFrequency);

S16BIT _DECL aceISQRead (S16BIT swDevice, sitalIsqEntryStructure* iespIsqEntry);

S16BIT _DECL aceISQClear (S16BIT swDevice);

S16BIT _DECL aceISQEnable (S16BIT swDevice, U16BIT bIsIsqEnabled);

S16BIT _DECL aceSetRespTimeOut (S16BIT swDevice, U16BIT wResponseTimeout);

S16BIT _DECL aceBCSetWatchDogTimer (S16BIT swDevice, U16BIT bIsWatchdogEnabled, U16BIT wWatchdogTimeout);

S16BIT _DECL aceSetDecoderConfig (S16BIT swDevice, U16BIT wDoubleOrSingleEndedInputDevice, U16BIT wExpendedXingOption);

S16BIT _DECL aceSetRamParityChecking (S16BIT swDevice, U16BIT wRamParityCheckEnabler);

S16BIT _DECL aceTestRegisters (S16BIT swDevice, sitalDeviceTestResultStructure* dtrspTestResult);

S16BIT _DECL aceTestMemory (S16BIT swDevice, sitalDeviceTestResultStructure* dtrspTestResult, U16BIT wWrittenValue);

S16BIT _DECL aceTestProtocol (S16BIT swDevice, sitalDeviceTestResultStructure* dtrspTestResult);

S16BIT _DECL aceTestInterrupts (S16BIT swDevice, sitalDeviceTestResultStructure* dtrspTestResult);

S16BIT _DECL aceTestVectors (S16BIT swDevice, sitalDeviceTestResultStructure* dtrspTestResult, char* szpVectorsFilePath);

S16BIT _DECL aceCmdWordCreate (	U16BIT* wpCommandWord,	U16BIT wRtAddress,	U16BIT wMessageDirection,	U16BIT wSubaddressOrMode,	U16BIT wWordCountOrModeCode);

S16BIT _DECL aceCmdWordParse (	U16BIT wCommandWord,	U16BIT* wpRtAddress,	U16BIT* wpMessageDirection,	U16BIT* wpSubaddressOrMode,	U16BIT* wpWordCountOrModeCode);

S16BIT _DECL aceBCConfigure (S16BIT swDevice, U32BIT dwOptions);

S16BIT _DECL aceBCSetMsgRetry (	S16BIT swDevice,	U16BIT wNumberOfRetries,	U16BIT wFirstRetryBus,	U16BIT wSecondRetryBus,	U16BIT wReserved);

S16BIT _DECL aceBCStart (S16BIT swDevice, S16BIT swMajorFrameId, S32BIT sdwFrameCount);

S16BIT _DECL aceBCStop (S16BIT swDevice);

S16BIT _DECL aceBCGetStatus (S16BIT swDevice, U16BIT *wpCurrentState);

S16BIT _DECL aceBCDataBlkCreate (	S16BIT swDevice,	S16BIT swDataBlockId,	U16BIT wDataBlockType,	U16BIT* wapBuffer,	U16BIT wBufferSize);

S16BIT _DECL aceBCDataBlkDelete (S16BIT swDevice, S16BIT swDataBlockId);

S16BIT _DECL aceBCDataBlkWrite (	S16BIT swDevice,	S16BIT swDataBlockId,	U16BIT* wapBuffer,	U16BIT wBufferSize,	U16BIT wOffset);

S16BIT _DECL aceBCDataBlkRead (	S16BIT swDevice,	S16BIT swDataBlockId,	U16BIT* wapBuffer,	U16BIT wBufferSize,	U16BIT wOffset);

S16BIT _DECL aceBCFrameCreate (	S16BIT swDevice,	S16BIT swFrameId,	U16BIT wFrameType,	S16BIT* swapCommandIds,	U16BIT wCommandCount,	U16BIT wFrameTime,	U16BIT wFlags);

S16BIT _DECL aceBCFrameDelete (S16BIT swDevice, S16BIT swFrameId);

S16BIT _DECL aceBCOpCodeCreate (	S16BIT swDevice,	S16BIT swCommandId,	U16BIT wOpcode,	U16BIT wCondition,	U32BIT dwParameter1,	U32BIT dwParameter2,	U32BIT dwReserved);

S16BIT _DECL aceBCOpCodeDelete (S16BIT swDevice, S16BIT swCommandId);

S16BIT _DECL aceBCMsgCreateBCtoRT (	S16BIT swDevice,	S16BIT swMessageId,	S16BIT swDataBlockId,	U16BIT wReceiverRt,	U16BIT wReceiverRtSubaddress,	U16BIT wWordCount,	U16BIT wGapTime,	U32BIT dwOptions);

S16BIT _DECL aceBCMsgCreateRTtoBC (	S16BIT swDevice,	S16BIT swMessageId,	S16BIT swDataBlockId,	U16BIT wTransmitterRt,	U16BIT wTransmitterRtSubaddress,	U16BIT wWordCount,	U16BIT wGapTime,	U32BIT dwOptions);

S16BIT _DECL aceBCMsgCreateRTtoRT (	S16BIT swDevice,	S16BIT swMessageId,	S16BIT swDataBlockId,	U16BIT wReceiverRt,	U16BIT wReceiverRtSubaddress,	U16BIT wWordCount,	U16BIT wTransmitterRt,	U16BIT wTransmitterRtSubaddress,	U16BIT wGapTime,	U32BIT dwOptions);

S16BIT _DECL aceBCMsgCreateMode (	S16BIT swDevice,	S16BIT swMessageId,	S16BIT swDataBlockId,	U16BIT wReceiverRt,	U16BIT wMessageDirection,	U16BIT wModeCommand,	U16BIT wGapTime,	U32BIT dwOptions);

S16BIT _DECL aceBCMsgCreateBcst (	S16BIT swDevice,	S16BIT swMessageId,	S16BIT swDataBlockId,	U16BIT wReceiverRtSubaddress,	U16BIT wWordCount,	U16BIT wGapTime,	U32BIT dwOptions);

S16BIT _DECL aceBCMsgCreateBcstRTtoRT (	S16BIT swDevice,	S16BIT swMessageId,	S16BIT swDataBlockId,	U16BIT wReceiverRtSubaddress,	U16BIT wWordCount,	U16BIT wTransmitterRt,	U16BIT wTransmitterRtSubaddress,	U16BIT wGapTime,	U32BIT dwOptions);

S16BIT _DECL aceBCMsgCreateBcstMode (	S16BIT swDevice,	S16BIT swMessageId,	S16BIT swDataBlockId,	U16BIT wMessageDirection,	U16BIT wModeCommand,	U16BIT wGapTime,	U32BIT dwOptions);

S16BIT _DECL aceBCMsgCreate (	S16BIT swDevice,	S16BIT swMessageId,	S16BIT swDataBlockIdForMessage1,	U16BIT wBcControlWordForMessage1,	U16BIT wCommandWord1ForMessage1,	U16BIT wCommandWord2ForMessage1,	U16BIT wGapTimeForMessage1,	S16BIT swDataBlockIdForMessage2,	U16BIT wBcControlWordForMessage2,	U16BIT wCommandWord1ForMessage2,	U16BIT wCommandWord2ForMessage2,	U16BIT wGapTimeForMessage2,	U32BIT dwOptions);

S16BIT _DECL aceBCMsgModifyBCtoRT (	S16BIT swDevice,	S16BIT swMessageId,	S16BIT swDataBlockId,	U16BIT wReceiverRt,	U16BIT wReceiverRtSubaddress,	U16BIT wWordCount,	U16BIT wGapTime,	U32BIT dwOptions,	U16BIT wModificationFlags);

S16BIT _DECL aceBCMsgModifyRTtoBC (	S16BIT swDevice,	S16BIT swMessageId,	S16BIT swDataBlockId,	U16BIT wTransmitterRt,	U16BIT wTransmitterRtSubaddress,	U16BIT wWordCount,	U16BIT wGapTime,	U32BIT dwOptions,	U16BIT wModificationFlags);

S16BIT _DECL aceBCMsgModifyRTtoRT (	S16BIT swDevice,	S16BIT swMessageId,	S16BIT swDataBlockId,	U16BIT wReceiverRt,	U16BIT wReceiverRtSubaddress,	U16BIT wWordCount,	U16BIT wTransmitterRt,	U16BIT wTransmitterRtSubaddress,	U16BIT wGapTime,	U32BIT dwOptions,	U16BIT wModificationFlags);

S16BIT _DECL aceBCMsgModifyMode (	S16BIT swDevice,	S16BIT swMessageId,	S16BIT swDataBlockId,	U16BIT wReceiverRt,	U16BIT wMessageDirection,	U16BIT wModeCommand,	U16BIT wGapTime,	U32BIT dwOptions,	U16BIT wModificationFlags);

S16BIT _DECL aceBCMsgModifyBcst (	S16BIT swDevice,	S16BIT swMessageId,	S16BIT swDataBlockId,	U16BIT wReceiverRtSubaddress,	U16BIT wWordCount,	U16BIT wGapTime,	U32BIT dwOptions,	U16BIT wModificationFlags);

S16BIT _DECL aceBCMsgModifyBcstRTtoRT (	S16BIT swDevice,	S16BIT swMessageId,	S16BIT swDataBlockId,	U16BIT wReceiverRtSubaddress,	U16BIT wWordCount,	U16BIT wTransmitterRt,	U16BIT wTransmitterRtSubaddress,	U16BIT wGapTime,	U32BIT dwOptions,	U16BIT wModificationFlags);

S16BIT _DECL aceBCMsgModifyBcstMode (	S16BIT swDevice,	S16BIT swMessageId,	S16BIT swDataBlockId,	U16BIT wMessageDirection,	U16BIT wModeCommand,	U16BIT wGapTime,	U32BIT dwOptions,	U16BIT wModificationFlags);

S16BIT _DECL aceBCMsgModify (	S16BIT swDevice,	S16BIT swMessageId,	S16BIT swDataBlockIdForMessage1,	U16BIT wBcControlWordForMessage1,	U16BIT wCommandWord1ForMessage1,	U16BIT wCommandWord2ForMessage1,	U16BIT wGapTimeForMessage1,	S16BIT swDataBlockIdForMessage2,	U16BIT wBcControlWordForMessage2,	U16BIT wCommandWord1ForMessage2,	U16BIT wCommandWord2ForMessage2,	U16BIT wGapTimeForMessage2,	U16BIT wModificationFlags);

S16BIT _DECL aceBCMsgDelete (S16BIT swDevice, S16BIT swMessageId);

S16BIT _DECL aceBCGetMsgFromIDRaw (	S16BIT swDevice,	S16BIT swMessageId,	U16BIT* wapBuffer,	U16BIT wIsPurgeRequired);

S16BIT _DECL aceBCDecodeRawMsg (S16BIT swDevice, U16BIT* wapBuffer, sitalDecodedMessageStructure* dmspDecodedMessage);

S16BIT _DECL aceBCGetMsgFromIDDecoded (	S16BIT swDevice,	S16BIT swMessageId,	sitalDecodedMessageStructure* dmspDecodedMessage,	U16BIT wIsPurgeRequired);

S16BIT _DECL aceBCMsgGapTimerEnable (S16BIT swDevice, U16BIT bIsMessageGapTimeFieldEnabled);

S16BIT _DECL aceBCSetGPFState (S16BIT swDevice, U16BIT wGpf, U16BIT wEffect);

S16BIT _DECL aceBCGetConditionCode (S16BIT swDevice, U16BIT wConditionCode, U16BIT* wpCurrentState);

S16BIT _DECL aceBCGPQRead (S16BIT swDevice, sitalGpqEntryStructure* gespGpqEntry);

S16BIT _DECL aceBCGPQGetCount (S16BIT swDevice);

S16BIT _DECL aceBCFrmToHBuf (S16BIT swDevice);

S16BIT _DECL aceBCGetGPQMetric (S16BIT swDevice, sitalGpqOperationalStatisticsStructure* gosspGpqOperationalStatistics, U16BIT bIsResetOfHighestRecordedPercentageRequired);

S16BIT _DECL aceBCAsyncMsgCreateBCtoRT (	S16BIT swDevice,	S16BIT swMessageId,	S16BIT swDataBlockId,	U16BIT wReceiverRt,	U16BIT wReceiverRtSubaddress,	U16BIT wWordCount,	U16BIT wGapTime,	U32BIT dwOptions,	U16BIT* wapBuffer);

S16BIT _DECL aceBCAsyncMsgCreateRTtoBC (	S16BIT swDevice,	S16BIT swMessageId,	S16BIT swDataBlockId,	U16BIT wTransmitterRt,	U16BIT wTransmitterRtSubaddress,	U16BIT wWordCount,	U16BIT wGapTime,	U32BIT dwOptions,	U16BIT* wapBuffer);

S16BIT _DECL aceBCAsyncMsgCreateRTtoRT (	S16BIT swDevice,	S16BIT swMessageId,	S16BIT swDataBlockId,	U16BIT wReceiverRt,	U16BIT wReceiverRtSubaddress,	U16BIT wWordCount,	U16BIT wTransmitterRt,	U16BIT wTransmitterRtSubaddress,	U16BIT wGapTime,	U32BIT dwOptions,	U16BIT* wapBuffer);

S16BIT _DECL aceBCAsyncMsgCreateMode (	S16BIT swDevice,	S16BIT swMessageId,	S16BIT swDataBlockId,	U16BIT wReceiverRt,	U16BIT wMessageDirection,	U16BIT wModeCommand,	U16BIT wGapTime,	U32BIT dwOptions,	U16BIT* wapBuffer);

S16BIT _DECL aceBCAsyncMsgCreateBcst (	S16BIT swDevice,	S16BIT swMessageId,	S16BIT swDataBlockId,	U16BIT wReceiverRtSubaddress,	U16BIT wWordCount,	U16BIT wGapTime,	U32BIT dwOptions,	U16BIT* wapBuffer);

S16BIT _DECL aceBCAsyncMsgCreateBcstRTtoRT (	S16BIT swDevice,	S16BIT swMessageId,	S16BIT swDataBlockId,	U16BIT wReceiverRtSubaddress,	U16BIT wWordCount,	U16BIT wTransmitterRt,	U16BIT wTransmitterRtSubaddress,	U16BIT wGapTime,	U32BIT dwOptions,	U16BIT* wapBuffer);

S16BIT _DECL aceBCAsyncMsgCreateBcstMode (	S16BIT swDevice,	S16BIT swMessageId,	S16BIT swDataBlockId,	U16BIT wMessageDirection,	U16BIT wModeCommand,	U16BIT wGapTime,	U32BIT dwOptions,	U16BIT* wapBuffer);

S16BIT _DECL aceBCSendAsyncMsgLP (S16BIT swDevice, U16BIT* wpRemainingMessageCount, U16BIT wTimeFactor);

S16BIT _DECL aceBCSendAsyncMsgHP (S16BIT swDevice, U16BIT wMessageId, U16BIT wTimeFactor);

S16BIT _DECL aceBCInstallHBuf (S16BIT swDevice, U32BIT dwHostBufferSize);

S16BIT _DECL aceBCUninstallHBuf (S16BIT swDevice);

S16BIT _DECL aceBCGetHBufMsgCount (S16BIT swDevice);

S16BIT _DECL aceBCGetHBufMsgDecoded (	S16BIT swDevice,	sitalDecodedMessageStructure* dmspDecodedMessage,	U32BIT* dwpMessageCount,	U32BIT* dwpLostMessageCount,	U16BIT wMessageLocationAndRemoval);

S16BIT _DECL aceBCGetHBufMsgsRaw (	S16BIT swDevice,	U16BIT* wapBuffer,	U16BIT wBufferSize,	U32BIT* dwpMessageCount,	U32BIT* dwpLostMessageCount);

S16BIT _DECL aceBCGetHBufMetric (	S16BIT swDevice,	sitalHostBufferOperationalStatisticsStructure* hbosspHostBufferOperationalStatistics,	U16BIT bIsResetOfHighestRecordedPercentageRequired);

S16BIT _DECL aceRTConfigure (S16BIT swDevice, U16BIT wCommandStackSize, U16BIT wOptions);

S16BIT _DECL aceRTSetAddrSource (S16BIT swDevice, U16BIT wRtAddressSource);

S16BIT _DECL aceRTGetAddrSource (S16BIT swDevice, U16BIT* wpRtAddressSource);

S16BIT _DECL aceRTRelatchAddress (S16BIT swDevice);

S16BIT _DECL aceRTSetAddress (S16BIT swDevice, U16BIT wRtAddress);

S16BIT _DECL aceRTGetAddress (S16BIT swDevice, U16BIT* wpRtAddress);

S16BIT _DECL aceRTStart (S16BIT swDevice);

S16BIT _DECL aceRTStop (S16BIT swDevice);

S16BIT _DECL aceRTDataBlkCreate (	S16BIT swDevice,	S16BIT swDataBlockId,	U16BIT wDataBlockType,	U16BIT* wapBuffer,	U16BIT wBufferSize);

S16BIT _DECL aceRTDataBlkDelete ( S16BIT swDevice, S16BIT swDataBlockId);

S16BIT _DECL aceRTDataBlkWrite (	S16BIT swDevice,	S16BIT swDataBlockId,	U16BIT* wapBuffer,	U16BIT wBufferSize,	U16BIT wOffset);

S16BIT _DECL aceRTDataBlkRead (	S16BIT swDevice,	S16BIT swDataBlockId,	U16BIT* wapBuffer,	U16BIT wBufferSize,	U16BIT wOffset);

S16BIT _DECL aceRTDataBlkMapToSA (	S16BIT swDevice,	S16BIT swDataBlockId,	U16BIT wSubaddress,	U16BIT wMessageTypes,	U16BIT wIrqOptions,	U16BIT bIsSubaddressLegalizationRequested);

S16BIT _DECL aceRTDataBlkUnmapFromSA (	S16BIT swDevice,	S16BIT swDataBlockId,	U16BIT wSubaddress,	U16BIT wMessageTypes);

S16BIT _DECL aceRTModeCodeIrqEnable (S16BIT swDevice, U16BIT wModeCodeType, U16BIT wModeCodeIrq);

S16BIT _DECL aceRTModeCodeIrqDisable (S16BIT swDevice, U16BIT wModeCodeType, U16BIT wModeCodeIrq);

S16BIT _DECL aceRTModeCodeIrqStatus (S16BIT swDevice, U16BIT wModeCodeType, U16BIT* wpModeCodeIrq);

S16BIT _DECL aceRTModeCodeReadData (S16BIT swDevice, U16BIT wDataContainingModeCode, U16BIT* wpData);

S16BIT _DECL aceRTModeCodeWriteData (S16BIT swDevice, U16BIT wDataContainingModeCode, U16BIT wData);

S16BIT _DECL aceRTMsgLegalityEnable (	S16BIT swDevice,	U16BIT wOwnAddressOrBroadcast,	U16BIT wMessageDirection,	U16BIT wSubaddress,	U32BIT dwWordCountOrModeCodeMask);

S16BIT _DECL aceRTMsgLegalityDisable (	S16BIT swDevice,	U16BIT wOwnAddressOrBroadcast,	U16BIT wMessageDirection,	U16BIT wSubaddress,	U32BIT dwWordCountOrModeCodeMask);

S16BIT _DECL aceRTMsgLegalityStatus (	S16BIT swDevice,	U16BIT wOwnAddressOrBroadcast,	U16BIT wMessageDirection,	U16BIT wSubaddress,	U32BIT* dwpMessageLegality);

S16BIT _DECL aceRTBusyBitsTblSet (	S16BIT swDevice,	U16BIT wOwnAddressOrBroadcast,	U16BIT wMessageDirection,	U32BIT dwSubaddressMask);

S16BIT _DECL aceRTBusyBitsTblClear (	S16BIT swDevice,	U16BIT wOwnAddressOrBroadcast,	U16BIT wMessageDirection,	U32BIT dwSubaddressMask);

S16BIT _DECL aceRTBusyBitsTblStatus (	S16BIT swDevice,	U16BIT wOwnAddressOrBroadcast,	U16BIT wMessageDirection,	U32BIT* dwpSubaddressMask);

S16BIT _DECL aceRTStatusBitsSet (S16BIT swDevice, U16BIT wStatusEnablerMask);

S16BIT _DECL aceRTStatusBitsClear (S16BIT swDevice, U16BIT wStatusEnablerMask);

S16BIT _DECL aceRTStatusBitsStatus (S16BIT swDevice, U16BIT* wpStatusEnablerMask);

S16BIT _DECL aceRTGetStkMsgsRaw (S16BIT swDevice, U16BIT* wapBuffer, U16BIT wBufferSize);

S16BIT _DECL aceRTGetStkMsgDecoded (S16BIT swDevice, sitalDecodedMessageStructure* dmspDecodedMessage, U16BIT wMessageLocationAndRemoval);

S16BIT _DECL aceRTDecodeRawMsg (S16BIT swDevice, U16BIT* wapBuffer, sitalDecodedMessageStructure* dmspDecodedMessage);

S16BIT _DECL aceRTBITWrdConfig (S16BIT swDevice, U16BIT wWordLocation, U16BIT wPermitOrInihibitIfRtBusy);

S16BIT _DECL aceRTBITWrdRead (S16BIT swDevice, U16BIT wWordLocation, U16BIT* wpWord);

S16BIT _DECL aceRTBITWrdWrite (S16BIT swDevice, U16BIT wWord);

S16BIT _DECL aceRTInstallHBuf (S16BIT swDevice, U32BIT dwHostBufferSize);

S16BIT _DECL aceRTUninstallHBuf (S16BIT swDevice);

S16BIT _DECL aceRTStkToHBuf (S16BIT swDevice);

S16BIT _DECL aceRTGetHBufMsgCount (S16BIT swDevice);

S16BIT _DECL aceRTGetHBufMsgDecoded (	S16BIT swDevice,	sitalDecodedMessageStructure* dmspDecodedMessage,	U32BIT* dwpMessageCount,	U32BIT* dwpStackLostMessageCount,	U32BIT* dwpHostBufferLostMessageCount,	U16BIT wMessageLocationAndRemoval);

S16BIT _DECL aceRTGetHBufMsgsRaw (	S16BIT swDevice,	U16BIT* wapBuffer,	U16BIT wBufferSize,	U32BIT* dwpMessageCount,	U32BIT* dwpStackLostMessageCount,	U32BIT* dwpHostBufferLostMessageCount);

S16BIT _DECL aceRTGetHBufMetric (S16BIT swDevice, sitalHostBufferOperationalStatisticsStructure* hbosspHostBufferOperationalStatistics, U16BIT bIsResetOfHighestRecordedPercentageRequired);

S16BIT _DECL aceRTGetStkMetric (	S16BIT swDevice,	sitalStackOperationalStatisticsStructure* sosspStackOperationalStatistics,	U16BIT bIsResetOfHighestRecordedPercentageRequired);

S16BIT _DECL aceMTConfigure (	S16BIT swDevice,	U16BIT wStackMode,	U16BIT wCommandStackSize,	U16BIT wDataStackSize,	U32BIT dwOptions);

S16BIT _DECL aceMTGetStkMetric (	S16BIT swDevice,	sitalStackOperationalStatisticsStructure* sosspStackOperationalStatistics,	U16BIT wStackSelector,	U16BIT bIsResetOfHighestRecordedPercentageRequired);

S16BIT _DECL aceMTSwapStks (S16BIT swDevice);

S16BIT _DECL aceMTGetInfo (S16BIT swDevice, sitalMtInformationStructure* mispMtInformation);

S16BIT _DECL aceMTStart (S16BIT swDevice);

S16BIT _DECL aceMTStop (S16BIT swDevice);

S16BIT _DECL aceMTPause (S16BIT swDevice);

S16BIT _DECL aceMTContinue (S16BIT swDevice);

S16BIT _DECL aceMTEnableRTFilter (	S16BIT swDevice,	U16BIT wRtAddress,	U16BIT wMessageDirection,	U32BIT dwSubaddressMask);

S16BIT _DECL aceMTDisableRTFilter (	S16BIT swDevice,	U16BIT wRtAddress,	U16BIT wMessageDirection,	U32BIT dwSubaddressMask);

S16BIT _DECL aceMTGetRTFilter (	S16BIT swDevice,	U16BIT wRtAddress,	U16BIT wMessageDirection,	U32BIT* dwpSubaddressMask);

S16BIT _DECL aceMTDecodeRawMsg (	S16BIT swDevice,	U16BIT* wapBuffer,	sitalDecodedMessageStructure* dmspDecodedMessage);

S16BIT _DECL aceMTGetStkMsgsRaw (	S16BIT swDevice,	U16BIT* wapBuffer,	U16BIT wBufferSize,	U16BIT wStackLocation);

S16BIT _DECL aceMTGetStkMsgDecoded (	S16BIT swDevice,	sitalDecodedMessageStructure* dmspDecodedMessage,	U16BIT wMessageLocationAndRemoval,	U16BIT wStackLocation);

S16BIT _DECL aceMTInstallHBuf (S16BIT swDevice, U32BIT dwHostBufferSize);

S16BIT _DECL aceMTUninstallHBuf (S16BIT swDevice);

S16BIT _DECL aceMTStkToHBuf (S16BIT swDevice);

S16BIT _DECL aceMTGetHBufMsgCount (S16BIT swDevice);

S16BIT _DECL aceMTGetHBufMsgDecoded (	S16BIT swDevice,	sitalDecodedMessageStructure* dmspDecodedMessage,	U32BIT* dwpMessageCount,	U32BIT* dwpStackLostMessageCount,	U32BIT* dwpHostBufferLostMessageCount,	U16BIT wMessageLocationAndRemoval);

S16BIT _DECL aceMTGetHBufMsgsRaw (	S16BIT swDevice,	U16BIT* wapBuffer,	U16BIT wBufferSize,	U32BIT* dwpMessageCount,	U32BIT* dwpStackLostMessageCount,	U32BIT* dwpHostBufferLostMessageCount);

S16BIT _DECL aceMTGetHBufMetric (S16BIT swDevice, sitalHostBufferOperationalStatisticsStructure* hbosspHostBufferOperationalStatistics, U16BIT bIsResetOfHighestRecordedPercentageRequired);

S16BIT _DECL aceRTMTConfigure (S16BIT swDevice, U16BIT wRtCommandStackSize,	U16BIT wMtStackMode,	U16BIT wMtCommandStackSize,	U16BIT wMtDataStackSize, U16BIT wOptions);

S16BIT _DECL aceRTMTStart (S16BIT swDevice);

S16BIT _DECL aceRTMTStop (S16BIT swDevice);

S16BIT _DECL aceRTMTInstallHBuf (S16BIT swDevice, U32BIT dwHostBufferSize);

S16BIT _DECL aceRTMTUninstallHBuf (S16BIT swDevice);

S16BIT _DECL aceRTMTStkToHBuf (S16BIT swDevice);

S16BIT _DECL aceRTMTGetHBufMsgCount (S16BIT swDevice);

S16BIT _DECL aceRTMTGetHBufMsgDecoded (	S16BIT swDevice,	sitalDecodedMessageStructure* dmspDecodedMessage,	U32BIT* dwpMessageCount,	U32BIT* dwpRtStackLostMessageCount,	U32BIT* dwpMtStackLostMessageCount,	U32BIT* dwpHostBufferLostMessageCount,	U16BIT wMessageLocationAndRemoval);

S16BIT _DECL aceRTMTGetHBufMsgsRaw (	S16BIT swDevice,	U16BIT* wapBuffer,	U16BIT wBufferSize,	U32BIT* dwpMessageCount,	U32BIT* dwpRtStackLostMessageCount,	U32BIT* dwpMtStackLostMessageCount,	U32BIT* dwpHostBufferLostMessageCount);

S16BIT _DECL aceRTMTGetHBufMetric (S16BIT swDevice, sitalHostBufferOperationalStatisticsStructure* hbosspHostBufferOperationalStatistics, U16BIT bIsResetOfHighestRecordedPercentageRequired);

// Function implementations.

U16BIT _DECL aceGetLibVersion (void) { return sitalStld1553_GetShortLibraryVersion (); }

U16BIT _DECL aceGetCoreVersion (void) { return sitalStld1553_GetShortCoreVersion (); }

S8BIT* _DECL aceGetBSWErrString (U16BIT wMode, U16BIT wBlockStatus) { return sitalStld1553_GetBlockStatusWordErrorString (wMode, wBlockStatus); }

S16BIT _DECL aceErrorStr (S16BIT swError, char* szpErrorString, U16BIT wMaximumStringLength) { return sitalStld1553_GetReturnCodeDescriberString (swError, szpErrorString, wMaximumStringLength); }

S8BIT* _DECL aceGetMsgTypeString (U16BIT wMessageType) { return sitalStld1553_GetMessageTypeString (wMessageType); }

U16BIT _DECL aceRegRead (S16BIT swDevice, U16BIT wRegisterAddress) { return sitalDevice_Register_Read (swDevice, wRegisterAddress); }

S16BIT _DECL aceRegWrite (S16BIT swDevice, U16BIT wRegisterAddress, U16BIT wRegisterValue) { return sitalDevice_Register_Write (swDevice, wRegisterAddress, wRegisterValue); }

U16BIT _DECL aceMemRead (S16BIT swDevice, U16BIT wDeviceMemoryAddress) { return sitalDevice_Memory_Read (swDevice, wDeviceMemoryAddress); }

S16BIT _DECL aceMemWrite (S16BIT swDevice, U16BIT wDeviceMemoryAddress, U16BIT wDeviceMemoryValue) { return sitalDevice_Memory_Write (swDevice, wDeviceMemoryAddress, wDeviceMemoryValue); }

S16BIT _DECL aceInitialize (	S16BIT swDevice,	U16BIT wAccess,	U16BIT wMode,	U32BIT dwSizeOfAllocatedMemory,	U32BIT dwRegistersAddress,	U32BIT dwMemoryAddress) {	return sitalDevice_Initialize (	swDevice,		wAccess,		wMode,		dwSizeOfAllocatedMemory,		dwRegistersAddress,		dwMemoryAddress); }

S16BIT _DECL aceFree (S16BIT swDevice) { return sitalDevice_Free (swDevice); }

S16BIT _DECL aceSetTimeTagValue (S16BIT swDevice, U16BIT wTimeTag) { return sitalDevice_TimeTag_Set (swDevice, wTimeTag); }

S16BIT _DECL aceGetTimeTagValue (S16BIT swDevice, U16BIT* wpTimeTag) { return sitalDevice_TimeTag_Get (swDevice, wpTimeTag); }

S16BIT _DECL aceResetTimeTag (S16BIT swDevice) { return sitalDevice_TimeTag_Reset (swDevice); }

S16BIT _DECL aceSetTimeTagRes (S16BIT swDevice, U16BIT wTimeTagResolution) { return sitalDevice_TimeTag_SetResolution (swDevice, wTimeTagResolution); }

S16BIT _DECL aceSetMetrics (S16BIT swDevice, U16BIT bIsOperationalStatisticsCollected) { return sitalDevice_OperationalStatisticsCollection_Configure (swDevice, bIsOperationalStatisticsCollected); }

S16BIT _DECL aceSetIrqConfig (S16BIT swDevice, U16BIT wInterruptMode, U16BIT wAutoClear) { return sitalDevice_Irq_Configure (swDevice, wInterruptMode, wAutoClear); }

S16BIT _DECL aceSetIrqConditions (S16BIT swDevice, U16BIT bIsInterruptEnabled, U32BIT dwIrqMask, USER_ISR_FUNCTION funcpExternalIsr) {	return sitalDevice_Irq_Manipulate (swDevice, bIsInterruptEnabled, dwIrqMask, funcpExternalIsr); }

S16BIT _DECL aceSetAsyncIsr (S16BIT swDevice, ASYNCHRONOUS_MESSAGE_ISR_FUNCTION funcpAsynchronousMessagesIsr) {	return sitalDevice_SetAsynchronousMessagesIsr (swDevice, funcpAsynchronousMessagesIsr); }

S16BIT _DECL aceSetClockFreq (S16BIT swDevice, U16BIT wClockFrequency) { return sitalDevice_Clock_SetFrequency (swDevice, wClockFrequency); }

S16BIT _DECL aceISQRead (S16BIT swDevice, sitalIsqEntryStructure* iespIsqEntry) { return sitalDevice_Isq_ReadEntry (swDevice, iespIsqEntry); }

S16BIT _DECL aceISQClear (S16BIT swDevice) { return sitalDevice_Isq_Clear (swDevice); }

S16BIT _DECL aceISQEnable (S16BIT swDevice, U16BIT bIsIsqEnabled) { return sitalDevice_Isq_Configure (swDevice, bIsIsqEnabled); }

S16BIT _DECL aceSetRespTimeOut (S16BIT swDevice, U16BIT wResponseTimeout) { return sitalDevice_SetResponseTimeout (swDevice, wResponseTimeout); }

S16BIT _DECL aceBCSetWatchDogTimer (S16BIT swDevice, U16BIT bIsWatchdogEnabled, U16BIT wWatchdogTimeout) { return sitalDevice_ConfigureWatchdogTimeout (swDevice, bIsWatchdogEnabled, wWatchdogTimeout); }

S16BIT _DECL aceSetDecoderConfig (S16BIT swDevice, U16BIT wDoubleOrSingleEndedInputDevice, U16BIT wExpendedXingOption) { return sitalDevice_ConfigureDecoder (swDevice, wDoubleOrSingleEndedInputDevice, wExpendedXingOption); }

S16BIT _DECL aceSetRamParityChecking (S16BIT swDevice, U16BIT wRamParityCheckEnabler) { return sitalDevice_ConfigureRamParityCheck (swDevice, wRamParityCheckEnabler); }

S16BIT _DECL aceTestRegisters (S16BIT swDevice, sitalDeviceTestResultStructure* dtrspTestResult) { return sitalDevice_Test_Registers (swDevice, dtrspTestResult); }

S16BIT _DECL aceTestMemory (S16BIT swDevice, sitalDeviceTestResultStructure* dtrspTestResult, U16BIT wWrittenValue) { return sitalDevice_Test_Memory (swDevice, dtrspTestResult, wWrittenValue); }

S16BIT _DECL aceTestProtocol (S16BIT swDevice, sitalDeviceTestResultStructure* dtrspTestResult) { return sitalDevice_Test_Protocol (swDevice, dtrspTestResult); }

S16BIT _DECL aceTestInterrupts (S16BIT swDevice, sitalDeviceTestResultStructure* dtrspTestResult) { return sitalDevice_Test_Interrupts (swDevice, dtrspTestResult); }

S16BIT _DECL aceTestVectors (S16BIT swDevice, sitalDeviceTestResultStructure* dtrspTestResult, char* szpVectorsFilePath) { return sitalDevice_Test_Vectors (swDevice, dtrspTestResult, szpVectorsFilePath); }

S16BIT _DECL aceCmdWordCreate (	U16BIT* wpCommandWord,	U16BIT wRtAddress,	U16BIT wMessageDirection,	U16BIT wSubaddressOrMode,	U16BIT wWordCountOrModeCode) {	return sitalBcStld1553_Command_GetCode (wpCommandWord, wRtAddress, wMessageDirection, wSubaddressOrMode, wWordCountOrModeCode); }

S16BIT _DECL aceCmdWordParse (	U16BIT wCommandWord,	U16BIT* wpRtAddress,	U16BIT* wpMessageDirection,	U16BIT* wpSubaddressOrMode,	U16BIT* wpWordCountOrModeCode) {	return sitalBcStld1553_Command_Parse (wCommandWord, wpRtAddress, wpMessageDirection, wpSubaddressOrMode, wpWordCountOrModeCode); }

S16BIT _DECL aceBCConfigure (S16BIT swDevice, U32BIT dwOptions) { return sitalBc_Initialize (swDevice, dwOptions); }

S16BIT _DECL aceBCSetMsgRetry (	S16BIT swDevice,	U16BIT wNumberOfRetries,	U16BIT wFirstRetryBus,	U16BIT wSecondRetryBus,	U16BIT wReserved) {	return sitalBc_MessageRetryPolicy_Set (swDevice, wNumberOfRetries, wFirstRetryBus, wSecondRetryBus, wReserved); }

S16BIT _DECL aceBCStart (S16BIT swDevice, S16BIT swMajorFrameId, S32BIT sdwFrameCount) { return sitalBc_Start (swDevice, swMajorFrameId, sdwFrameCount); }

S16BIT _DECL aceBCStop (S16BIT swDevice) { return sitalBc_Stop (swDevice); }

S16BIT _DECL aceBCGetStatus (S16BIT swDevice, U16BIT *wpCurrentState) { return sitalBc_GetActivationState (swDevice, wpCurrentState); }

S16BIT _DECL aceBCDataBlkCreate (	S16BIT swDevice,	S16BIT swDataBlockId,	U16BIT wDataBlockType,	U16BIT* wapBuffer,	U16BIT wBufferSize) {	return sitalBc_DataBlock_Create (swDevice, swDataBlockId, wDataBlockType, wapBuffer, wBufferSize); }

S16BIT _DECL aceBCDataBlkDelete (S16BIT swDevice, S16BIT swDataBlockId) { return sitalBc_DataBlock_Delete (swDevice, swDataBlockId); }

S16BIT _DECL aceBCDataBlkWrite (	S16BIT swDevice,	S16BIT swDataBlockId,	U16BIT* wapBuffer,	U16BIT wBufferSize,	U16BIT wOffset) {	return sitalBc_DataBlock_Write (swDevice, swDataBlockId, wapBuffer, wBufferSize, wOffset); }

S16BIT _DECL aceBCDataBlkRead (	S16BIT swDevice,	S16BIT swDataBlockId,	U16BIT* wapBuffer,	U16BIT wBufferSize,	U16BIT wOffset) {	return sitalBc_DataBlock_Read (swDevice, swDataBlockId, wapBuffer, wBufferSize, wOffset); }

S16BIT _DECL aceBCFrameCreate (	S16BIT swDevice,	S16BIT swFrameId,	U16BIT wFrameType,	S16BIT* swapCommandIds,	U16BIT wCommandCount,	U16BIT wFrameTime,	U16BIT wFlags) {	return sitalBc_Frame_Create (swDevice, swFrameId, wFrameType, swapCommandIds, wCommandCount, wFrameTime, wFlags); }

S16BIT _DECL aceBCFrameDelete (S16BIT swDevice, S16BIT swFrameId) { return sitalBc_Frame_Delete (swDevice, swFrameId); }

S16BIT _DECL aceBCOpCodeCreate (	S16BIT swDevice,	S16BIT swCommandId,	U16BIT wOpcode,	U16BIT wCondition,	U32BIT dwParameter1,	U32BIT dwParameter2,	U32BIT dwReserved) {	return sitalBc_Command_Create (swDevice, swCommandId, wOpcode, wCondition, dwParameter1, dwParameter2, dwReserved); }

S16BIT _DECL aceBCOpCodeDelete (S16BIT swDevice, S16BIT swCommandId) { return sitalBc_Command_Delete (swDevice, swCommandId); }

S16BIT _DECL aceBCMsgCreateBCtoRT (	S16BIT swDevice,	S16BIT swMessageId,	S16BIT swDataBlockId,	U16BIT wReceiverRt,	U16BIT wReceiverRtSubaddress,	U16BIT wWordCount,	U16BIT wGapTime,	U32BIT dwOptions) {	return sitalBc_Message_CreateBcToRt (swDevice, swMessageId, swDataBlockId, wReceiverRt, wReceiverRtSubaddress, wWordCount, wGapTime, dwOptions); }

S16BIT _DECL aceBCMsgCreateRTtoBC (	S16BIT swDevice,	S16BIT swMessageId,	S16BIT swDataBlockId,	U16BIT wTransmitterRt,	U16BIT wTransmitterRtSubaddress,	U16BIT wWordCount,	U16BIT wGapTime,	U32BIT dwOptions) {	return sitalBc_Message_CreateRtToBc (swDevice, swMessageId, swDataBlockId, wTransmitterRt, wTransmitterRtSubaddress, wWordCount, wGapTime, dwOptions); }

S16BIT _DECL aceBCMsgCreateRTtoRT (	S16BIT swDevice,	S16BIT swMessageId,	S16BIT swDataBlockId,	U16BIT wReceiverRt,	U16BIT wReceiverRtSubaddress,	U16BIT wWordCount,	U16BIT wTransmitterRt,	U16BIT wTransmitterRtSubaddress,	U16BIT wGapTime,	U32BIT dwOptions) {	return sitalBc_Message_CreateRtToRt (swDevice, swMessageId, swDataBlockId, wReceiverRt, wReceiverRtSubaddress, wWordCount, wTransmitterRt, wTransmitterRtSubaddress, wGapTime, dwOptions); }

S16BIT _DECL aceBCMsgCreateMode (	S16BIT swDevice,	S16BIT swMessageId,	S16BIT swDataBlockId,	U16BIT wReceiverRt,	U16BIT wMessageDirection,	U16BIT wModeCommand,	U16BIT wGapTime,	U32BIT dwOptions) {	return sitalBc_Message_CreateBcToOrFromRtMode (swDevice, swMessageId, swDataBlockId, wReceiverRt, wMessageDirection, wModeCommand, wGapTime, dwOptions); }

S16BIT _DECL aceBCMsgCreateBcst (	S16BIT swDevice,	S16BIT swMessageId,	S16BIT swDataBlockId,	U16BIT wReceiverRtSubaddress,	U16BIT wWordCount,	U16BIT wGapTime,	U32BIT dwOptions) {	return sitalBc_Message_CreateBcToBroadcast (swDevice, swMessageId, swDataBlockId, wReceiverRtSubaddress, wWordCount, wGapTime, dwOptions); }

S16BIT _DECL aceBCMsgCreateBcstRTtoRT (	S16BIT swDevice,	S16BIT swMessageId,	S16BIT swDataBlockId,	U16BIT wReceiverRtSubaddress,	U16BIT wWordCount,	U16BIT wTransmitterRt,	U16BIT wTransmitterRtSubaddress,	U16BIT wGapTime,	U32BIT dwOptions) {	return sitalBc_Message_CreateRtToBroadcast (swDevice, swMessageId, swDataBlockId, wReceiverRtSubaddress, wWordCount, wTransmitterRt, wTransmitterRtSubaddress, wGapTime, dwOptions); }

S16BIT _DECL aceBCMsgCreateBcstMode (	S16BIT swDevice,	S16BIT swMessageId,	S16BIT swDataBlockId,	U16BIT wMessageDirection,	U16BIT wModeCommand,	U16BIT wGapTime,	U32BIT dwOptions) {	return sitalBc_Message_CreateBcToOrFromBroadcastMode (swDevice, swMessageId, swDataBlockId, wMessageDirection, wModeCommand, wGapTime, dwOptions); }

S16BIT _DECL aceBCMsgCreate (	S16BIT swDevice,	S16BIT swMessageId,	S16BIT swDataBlockIdForMessage1,	U16BIT wBcControlWordForMessage1,	U16BIT wCommandWord1ForMessage1,	U16BIT wCommandWord2ForMessage1,	U16BIT wGapTimeForMessage1,	S16BIT swDataBlockIdForMessage2,	U16BIT wBcControlWordForMessage2,	U16BIT wCommandWord1ForMessage2,	U16BIT wCommandWord2ForMessage2,	U16BIT wGapTimeForMessage2,	U32BIT dwOptions) {	return sitalBc_Message_Create (swDevice, swMessageId, swDataBlockIdForMessage1, wBcControlWordForMessage1, wCommandWord1ForMessage1, wCommandWord2ForMessage1, wGapTimeForMessage1, swDataBlockIdForMessage2, wBcControlWordForMessage2, wCommandWord1ForMessage2, wCommandWord2ForMessage2, wGapTimeForMessage2, dwOptions); }

S16BIT _DECL aceBCMsgModifyBCtoRT (	S16BIT swDevice,	S16BIT swMessageId,	S16BIT swDataBlockId,	U16BIT wReceiverRt,	U16BIT wReceiverRtSubaddress,	U16BIT wWordCount,	U16BIT wGapTime,	U32BIT dwOptions,	U16BIT wModificationFlags) {	return sitalBc_Message_ModifyBcToRt (swDevice, swMessageId, swDataBlockId, wReceiverRt, wReceiverRtSubaddress, wWordCount, wGapTime, dwOptions, wModificationFlags); }

S16BIT _DECL aceBCMsgModifyRTtoBC (	S16BIT swDevice,	S16BIT swMessageId,	S16BIT swDataBlockId,	U16BIT wTransmitterRt,	U16BIT wTransmitterRtSubaddress,	U16BIT wWordCount,	U16BIT wGapTime,	U32BIT dwOptions,	U16BIT wModificationFlags) {	return sitalBc_Message_ModifyRtToBc (swDevice, swMessageId, swDataBlockId, wTransmitterRt, wTransmitterRtSubaddress, wWordCount, wGapTime, dwOptions, wModificationFlags); }

S16BIT _DECL aceBCMsgModifyRTtoRT (	S16BIT swDevice,	S16BIT swMessageId,	S16BIT swDataBlockId,	U16BIT wReceiverRt,	U16BIT wReceiverRtSubaddress,	U16BIT wWordCount,	U16BIT wTransmitterRt,	U16BIT wTransmitterRtSubaddress,	U16BIT wGapTime,	U32BIT dwOptions,	U16BIT wModificationFlags) {	return sitalBc_Message_ModifyRtToRt (swDevice, swMessageId, swDataBlockId, wReceiverRt, wReceiverRtSubaddress, wWordCount, wTransmitterRt, wTransmitterRtSubaddress, wGapTime, dwOptions, wModificationFlags); }

S16BIT _DECL aceBCMsgModifyMode (	S16BIT swDevice,	S16BIT swMessageId,	S16BIT swDataBlockId,	U16BIT wReceiverRt,	U16BIT wMessageDirection,	U16BIT wModeCommand,	U16BIT wGapTime,	U32BIT dwOptions,	U16BIT wModificationFlags) {	return sitalBc_Message_ModifyBcToOrFromRtMode (swDevice, swMessageId, swDataBlockId, wReceiverRt, wMessageDirection, wModeCommand, wGapTime, dwOptions, wModificationFlags); }

S16BIT _DECL aceBCMsgModifyBcst (	S16BIT swDevice,	S16BIT swMessageId,	S16BIT swDataBlockId,	U16BIT wReceiverRtSubaddress,	U16BIT wWordCount,	U16BIT wGapTime,	U32BIT dwOptions,	U16BIT wModificationFlags) {	return sitalBc_Message_ModifyBcToBroadcast (swDevice, swMessageId, swDataBlockId, wReceiverRtSubaddress, wWordCount, wGapTime, dwOptions, wModificationFlags); }

S16BIT _DECL aceBCMsgModifyBcstRTtoRT (	S16BIT swDevice,	S16BIT swMessageId,	S16BIT swDataBlockId,	U16BIT wReceiverRtSubaddress,	U16BIT wWordCount,	U16BIT wTransmitterRt,	U16BIT wTransmitterRtSubaddress,	U16BIT wGapTime,	U32BIT dwOptions,	U16BIT wModificationFlags) {	return sitalBc_Message_ModifyRtToBroadcast (swDevice, swMessageId, swDataBlockId, wReceiverRtSubaddress, wWordCount, wTransmitterRt, wTransmitterRtSubaddress, wGapTime, dwOptions, wModificationFlags); }

S16BIT _DECL aceBCMsgModifyBcstMode (	S16BIT swDevice,	S16BIT swMessageId,	S16BIT swDataBlockId,	U16BIT wMessageDirection,	U16BIT wModeCommand,	U16BIT wGapTime,	U32BIT dwOptions,	U16BIT wModificationFlags) {	return sitalBc_Message_ModifyBcToOrFromBroadcastMode (swDevice, swMessageId, swDataBlockId, wMessageDirection, wModeCommand, wGapTime, dwOptions, wModificationFlags); }

S16BIT _DECL aceBCMsgModify (	S16BIT swDevice,	S16BIT swMessageId,	S16BIT swDataBlockIdForMessage1,	U16BIT wBcControlWordForMessage1,	U16BIT wCommandWord1ForMessage1,	U16BIT wCommandWord2ForMessage1,	U16BIT wGapTimeForMessage1,	S16BIT swDataBlockIdForMessage2,	U16BIT wBcControlWordForMessage2,	U16BIT wCommandWord1ForMessage2,	U16BIT wCommandWord2ForMessage2,	U16BIT wGapTimeForMessage2,	U16BIT wModificationFlags) {	return sitalBc_Message_Modify (swDevice, swMessageId, swDataBlockIdForMessage1, wBcControlWordForMessage1, wCommandWord1ForMessage1, wCommandWord2ForMessage1, wGapTimeForMessage1, swDataBlockIdForMessage2, wBcControlWordForMessage2, wCommandWord1ForMessage2, wCommandWord2ForMessage2, wGapTimeForMessage2, wModificationFlags); }

S16BIT _DECL aceBCMsgDelete (S16BIT swDevice, S16BIT swMessageId) { return sitalBc_Message_Delete (swDevice, swMessageId); }

S16BIT _DECL aceBCGetMsgFromIDRaw (	S16BIT swDevice,	S16BIT swMessageId,	U16BIT* wapBuffer,	U16BIT wIsPurgeRequired) {	return sitalBc_Message_GetByIdRaw (swDevice, swMessageId, wapBuffer, wIsPurgeRequired); }

S16BIT _DECL aceBCDecodeRawMsg (S16BIT swDevice, U16BIT* wapBuffer, sitalDecodedMessageStructure* dmspDecodedMessage) { return sitalBc_Message_DecodeRaw (swDevice, wapBuffer, dmspDecodedMessage); }

S16BIT _DECL aceBCGetMsgFromIDDecoded (	S16BIT swDevice,	S16BIT swMessageId,	sitalDecodedMessageStructure* dmspDecodedMessage,	U16BIT wIsPurgeRequired) {	return sitalBc_Message_GetByIdDecoded (swDevice, swMessageId, dmspDecodedMessage, wIsPurgeRequired); }

S16BIT _DECL aceBCMsgGapTimerEnable (S16BIT swDevice, U16BIT bIsMessageGapTimeFieldEnabled) { return sitalBc_ConfigureMessageGapTimeFieldPolicy (swDevice, bIsMessageGapTimeFieldEnabled); }

S16BIT _DECL aceBCSetGPFState (S16BIT swDevice, U16BIT wGpf, U16BIT wEffect) { return sitalBc_Gpf_SetState (swDevice, wGpf, wEffect); }

S16BIT _DECL aceBCGetConditionCode (S16BIT swDevice, U16BIT wConditionCode, U16BIT* wpCurrentState) { return sitalBc_GetConditionState (swDevice, wConditionCode, wpCurrentState); }

S16BIT _DECL aceBCGPQRead (S16BIT swDevice, sitalGpqEntryStructure* gespGpqEntry) { return sitalBc_Gpq_Read (swDevice, gespGpqEntry); }

S16BIT _DECL aceBCGPQGetCount (S16BIT swDevice) { return sitalBc_Gpq_GetEntriesCount (swDevice); }

S16BIT _DECL aceBCFrmToHBuf (S16BIT swDevice) {	return sitalBc_Gpq_HandleNewEntries (swDevice); }

S16BIT _DECL aceBCGetGPQMetric (S16BIT swDevice, sitalGpqOperationalStatisticsStructure* gosspGpqOperationalStatistics, U16BIT bIsResetOfHighestRecordedPercentageRequired) {	return sitalBc_Gpq_GetOperationalStatistics (swDevice, gosspGpqOperationalStatistics, bIsResetOfHighestRecordedPercentageRequired); }

S16BIT _DECL aceBCAsyncMsgCreateBCtoRT (	S16BIT swDevice,	S16BIT swMessageId,	S16BIT swDataBlockId,	U16BIT wReceiverRt,	U16BIT wReceiverRtSubaddress,	U16BIT wWordCount,	U16BIT wGapTime,	U32BIT dwOptions,	U16BIT* wapBuffer) {	return sitalBc_AsynchronousMessage_CreateBcToRt (swDevice, swMessageId, swDataBlockId, wReceiverRt, wReceiverRtSubaddress, wWordCount, wGapTime, dwOptions, wapBuffer); }

S16BIT _DECL aceBCAsyncMsgCreateRTtoBC (	S16BIT swDevice,	S16BIT swMessageId,	S16BIT swDataBlockId,	U16BIT wTransmitterRt,	U16BIT wTransmitterRtSubaddress,	U16BIT wWordCount,	U16BIT wGapTime,	U32BIT dwOptions,	U16BIT* wapBuffer) {	return sitalBc_AsynchronousMessage_CreateRtToBc (swDevice, swMessageId, swDataBlockId, wTransmitterRt, wTransmitterRtSubaddress, wWordCount, wGapTime, dwOptions, wapBuffer); }

S16BIT _DECL aceBCAsyncMsgCreateRTtoRT (	S16BIT swDevice,	S16BIT swMessageId,	S16BIT swDataBlockId,	U16BIT wReceiverRt,	U16BIT wReceiverRtSubaddress,	U16BIT wWordCount,	U16BIT wTransmitterRt,	U16BIT wTransmitterRtSubaddress,	U16BIT wGapTime,	U32BIT dwOptions,	U16BIT* wapBuffer) {	return sitalBc_AsynchronousMessage_CreateRtToRt (swDevice, swMessageId, swDataBlockId, wReceiverRt, wReceiverRtSubaddress, wWordCount, wTransmitterRt, wTransmitterRtSubaddress, wGapTime, dwOptions, wapBuffer); }

S16BIT _DECL aceBCAsyncMsgCreateMode (	S16BIT swDevice,	S16BIT swMessageId,	S16BIT swDataBlockId,	U16BIT wReceiverRt,	U16BIT wMessageDirection,	U16BIT wModeCommand,	U16BIT wGapTime,	U32BIT dwOptions,	U16BIT* wapBuffer) {	return sitalBc_AsynchronousMessage_CreateBcToOrFromRtMode (swDevice, swMessageId, swDataBlockId, wReceiverRt, wMessageDirection, wModeCommand, wGapTime, dwOptions, wapBuffer); }

S16BIT _DECL aceBCAsyncMsgCreateBcst (	S16BIT swDevice,	S16BIT swMessageId,	S16BIT swDataBlockId,	U16BIT wReceiverRtSubaddress,	U16BIT wWordCount,	U16BIT wGapTime,	U32BIT dwOptions,	U16BIT* wapBuffer) {	return sitalBc_AsynchronousMessage_CreateBcToBroadcast (swDevice, swMessageId, swDataBlockId, wReceiverRtSubaddress, wWordCount, wGapTime, dwOptions, wapBuffer); }

S16BIT _DECL aceBCAsyncMsgCreateBcstRTtoRT (	S16BIT swDevice,	S16BIT swMessageId,	S16BIT swDataBlockId,	U16BIT wReceiverRtSubaddress,	U16BIT wWordCount,	U16BIT wTransmitterRt,	U16BIT wTransmitterRtSubaddress,	U16BIT wGapTime,	U32BIT dwOptions,	U16BIT* wapBuffer) {	return sitalBc_AsynchronousMessage_CreateRtToBroadcast (swDevice, swMessageId, swDataBlockId, wReceiverRtSubaddress, wWordCount, wTransmitterRt, wTransmitterRtSubaddress, wGapTime, dwOptions, wapBuffer); }

S16BIT _DECL aceBCAsyncMsgCreateBcstMode (	S16BIT swDevice,	S16BIT swMessageId,	S16BIT swDataBlockId,	U16BIT wMessageDirection,	U16BIT wModeCommand,	U16BIT wGapTime,	U32BIT dwOptions,	U16BIT* wapBuffer) {	return sitalBc_AsynchronousMessage_CreateBcToOrFromBroadcastMode (swDevice, swMessageId, swDataBlockId, wMessageDirection, wModeCommand, wGapTime, dwOptions, wapBuffer); }

S16BIT _DECL aceBCSendAsyncMsgLP (S16BIT swDevice, U16BIT* wpRemainingMessageCount, U16BIT wTimeFactor) { return sitalBc_AsynchronousMessage_SendAtLowPriority (swDevice, wpRemainingMessageCount, wTimeFactor); }

S16BIT _DECL aceBCSendAsyncMsgHP (S16BIT swDevice, U16BIT wMessageId, U16BIT wTimeFactor) { return sitalBc_AsynchronousMessage_SendAtHighPriority (swDevice, wMessageId, wTimeFactor); }

S16BIT _DECL aceBCInstallHBuf (S16BIT swDevice, U32BIT dwHostBufferSize) { return sitalBc_HostBuffer_Initialize (swDevice, dwHostBufferSize); }

S16BIT _DECL aceBCUninstallHBuf (S16BIT swDevice) { return sitalBc_HostBuffer_Free (swDevice); }

S16BIT _DECL aceBCGetHBufMsgCount (S16BIT swDevice) { return sitalBc_HostBuffer_Message_GetCount (swDevice); }

S16BIT _DECL aceBCGetHBufMsgDecoded (	S16BIT swDevice,	sitalDecodedMessageStructure* dmspDecodedMessage,	U32BIT* dwpMessageCount,	U32BIT* dwpLostMessageCount,	U16BIT wMessageLocationAndRemoval) {	return sitalBc_HostBuffer_Message_GetDecoded (swDevice, dmspDecodedMessage, dwpMessageCount, dwpLostMessageCount, wMessageLocationAndRemoval); }

S16BIT _DECL aceBCGetHBufMsgsRaw (	S16BIT swDevice,	U16BIT* wapBuffer,	U16BIT wBufferSize,	U32BIT* dwpMessageCount,	U32BIT* dwpLostMessageCount) {	return sitalBc_HostBuffer_Message_GetRaw (swDevice, wapBuffer, wBufferSize, dwpMessageCount, dwpLostMessageCount); }

S16BIT _DECL aceBCGetHBufMetric (	S16BIT swDevice,	sitalHostBufferOperationalStatisticsStructure* hbosspHostBufferOperationalStatistics,	U16BIT bIsResetOfHighestRecordedPercentageRequired) {	return sitalBc_HostBuffer_GetOperationalStatistics (swDevice, hbosspHostBufferOperationalStatistics, bIsResetOfHighestRecordedPercentageRequired); }

S16BIT _DECL aceRTConfigure (S16BIT swDevice, U16BIT wCommandStackSize, U16BIT wOptions) { return sitalRt_Initialize (swDevice, wCommandStackSize, wOptions); }

S16BIT _DECL aceRTSetAddrSource (S16BIT swDevice, U16BIT wRtAddressSource) { return sitalRt_AddressSource_Set (swDevice, wRtAddressSource); }

S16BIT _DECL aceRTGetAddrSource (S16BIT swDevice, U16BIT* wpRtAddressSource) { return sitalRt_AddressSource_Get (swDevice, wpRtAddressSource); }

S16BIT _DECL aceRTRelatchAddress (S16BIT swDevice) { return sitalRt_Address_Relatch (swDevice); }

S16BIT _DECL aceRTSetAddress (S16BIT swDevice, U16BIT wRtAddress) { return sitalRt_Address_Set (swDevice, wRtAddress); }

S16BIT _DECL aceRTGetAddress (S16BIT swDevice, U16BIT* wpRtAddress) { return sitalRt_Address_Get (swDevice, wpRtAddress); }

S16BIT _DECL aceRTStart (S16BIT swDevice) { return sitalRt_Start (swDevice); }

S16BIT _DECL aceRTStop (S16BIT swDevice) { return sitalRt_Stop (swDevice); }

S16BIT _DECL aceRTDataBlkCreate (	S16BIT swDevice,	S16BIT swDataBlockId,	U16BIT wDataBlockType,	U16BIT* wapBuffer,	U16BIT wBufferSize) {	return sitalRt_DataBlock_Create (swDevice, swDataBlockId, wDataBlockType, wapBuffer, wBufferSize); }

S16BIT _DECL aceRTDataBlkDelete ( S16BIT swDevice, S16BIT swDataBlockId) { return sitalRt_DataBlock_Delete (swDevice, swDataBlockId); }

S16BIT _DECL aceRTDataBlkWrite (	S16BIT swDevice,	S16BIT swDataBlockId,	U16BIT* wapBuffer,	U16BIT wBufferSize,	U16BIT wOffset) {	return sitalRt_DataBlock_Write (swDevice, swDataBlockId, wapBuffer, wBufferSize, wOffset); }

S16BIT _DECL aceRTDataBlkRead (	S16BIT swDevice,	S16BIT swDataBlockId,	U16BIT* wapBuffer,	U16BIT wBufferSize,	U16BIT wOffset) {	return sitalRt_DataBlock_Read (swDevice, swDataBlockId, wapBuffer, wBufferSize, wOffset); }

S16BIT _DECL aceRTDataBlkMapToSA (	S16BIT swDevice,	S16BIT swDataBlockId,	U16BIT wSubaddress,	U16BIT wMessageTypes,	U16BIT wIrqOptions,	U16BIT bIsSubaddressLegalizationRequested) {	return sitalRt_DataBlock_MapToSubaddress (swDevice, swDataBlockId, wSubaddress, wMessageTypes, wIrqOptions, bIsSubaddressLegalizationRequested); }

S16BIT _DECL aceRTDataBlkUnmapFromSA (	S16BIT swDevice,	S16BIT swDataBlockId,	U16BIT wSubaddress,	U16BIT wMessageTypes) {	return sitalRt_DataBlock_UnmapFromSubaddress (swDevice, swDataBlockId, wSubaddress, wMessageTypes); }

S16BIT _DECL aceRTModeCodeIrqEnable (S16BIT swDevice, U16BIT wModeCodeType, U16BIT wModeCodeIrq) { return sitalRt_ModeCode_EnableIrq (swDevice, wModeCodeType, wModeCodeIrq); }

S16BIT _DECL aceRTModeCodeIrqDisable (S16BIT swDevice, U16BIT wModeCodeType, U16BIT wModeCodeIrq) { return sitalRt_ModeCode_DisableIrq (swDevice, wModeCodeType, wModeCodeIrq); }

S16BIT _DECL aceRTModeCodeIrqStatus (S16BIT swDevice, U16BIT wModeCodeType, U16BIT* wpModeCodeIrq) { return sitalRt_ModeCode_GetIrq (swDevice, wModeCodeType, wpModeCodeIrq); }

S16BIT _DECL aceRTModeCodeReadData (S16BIT swDevice, U16BIT wDataContainingModeCode, U16BIT* wpData) { return sitalRt_ModeCode_ReadData (swDevice, wDataContainingModeCode, wpData); }

S16BIT _DECL aceRTModeCodeWriteData (S16BIT swDevice, U16BIT wDataContainingModeCode, U16BIT wData) { return sitalRt_ModeCode_WriteData (swDevice, wDataContainingModeCode, wData); }

S16BIT _DECL aceRTMsgLegalityEnable (	S16BIT swDevice,	U16BIT wOwnAddressOrBroadcast,	U16BIT wMessageDirection,	U16BIT wSubaddress,	U32BIT dwWordCountOrModeCodeMask) {	return sitalRt_MessageLegality_Enable (swDevice, wOwnAddressOrBroadcast, wMessageDirection, wSubaddress, dwWordCountOrModeCodeMask); }

S16BIT _DECL aceRTMsgLegalityDisable (	S16BIT swDevice,	U16BIT wOwnAddressOrBroadcast,	U16BIT wMessageDirection,	U16BIT wSubaddress,	U32BIT dwWordCountOrModeCodeMask) {	return sitalRt_MessageLegality_Disable (swDevice, wOwnAddressOrBroadcast, wMessageDirection, wSubaddress, dwWordCountOrModeCodeMask); }

S16BIT _DECL aceRTMsgLegalityStatus (	S16BIT swDevice,	U16BIT wOwnAddressOrBroadcast,	U16BIT wMessageDirection,	U16BIT wSubaddress,	U32BIT* dwpMessageLegality) {	return sitalRt_MessageLegality_GetStatus (swDevice, wOwnAddressOrBroadcast, wMessageDirection, wSubaddress, dwpMessageLegality); }

S16BIT _DECL aceRTBusyBitsTblSet (	S16BIT swDevice,	U16BIT wOwnAddressOrBroadcast,	U16BIT wMessageDirection,	U32BIT dwSubaddressMask) {	return sitalRt_MessageBusyBit_Set (swDevice, wOwnAddressOrBroadcast, wMessageDirection, dwSubaddressMask); }

S16BIT _DECL aceRTBusyBitsTblClear (	S16BIT swDevice,	U16BIT wOwnAddressOrBroadcast,	U16BIT wMessageDirection,	U32BIT dwSubaddressMask) {	return sitalRt_MessageBusyBit_Clear (swDevice, wOwnAddressOrBroadcast, wMessageDirection, dwSubaddressMask); }

S16BIT _DECL aceRTBusyBitsTblStatus (	S16BIT swDevice,	U16BIT wOwnAddressOrBroadcast,	U16BIT wMessageDirection,	U32BIT* dwpSubaddressMask) {	return sitalRt_MessageBusyBit_GetStatus (swDevice, wOwnAddressOrBroadcast, wMessageDirection, dwpSubaddressMask); }

S16BIT _DECL aceRTStatusBitsSet (S16BIT swDevice, U16BIT wStatusEnablerMask) { return sitalRt_ResponseStatusBits_Set (swDevice, wStatusEnablerMask); }

S16BIT _DECL aceRTStatusBitsClear (S16BIT swDevice, U16BIT wStatusEnablerMask) { return sitalRt_ResponseStatusBits_Unset (swDevice, wStatusEnablerMask); }

S16BIT _DECL aceRTStatusBitsStatus (S16BIT swDevice, U16BIT* wpStatusEnablerMask) { return sitalRt_ResponseStatusBits_Get (swDevice, wpStatusEnablerMask); }

S16BIT _DECL aceRTGetStkMsgsRaw (S16BIT swDevice, U16BIT* wapBuffer, U16BIT wBufferSize) { return sitalRt_Message_GetFromStackRaw (swDevice, wapBuffer, wBufferSize); }

S16BIT _DECL aceRTGetStkMsgDecoded (S16BIT swDevice, sitalDecodedMessageStructure* dmspDecodedMessage, U16BIT wMessageLocationAndRemoval) { return sitalRt_Message_GetFromStackDecoded (swDevice, dmspDecodedMessage, wMessageLocationAndRemoval); }

S16BIT _DECL aceRTDecodeRawMsg (S16BIT swDevice, U16BIT* wapBuffer, sitalDecodedMessageStructure* dmspDecodedMessage) { return sitalRt_Message_DecodeRaw (swDevice, wapBuffer, dmspDecodedMessage); }

S16BIT _DECL aceRTBITWrdConfig (S16BIT swDevice, U16BIT wWordLocation, U16BIT wPermitOrInihibitIfRtBusy) { return sitalRt_BuiltInTestWord_Configure (swDevice, wWordLocation, wPermitOrInihibitIfRtBusy); }

S16BIT _DECL aceRTBITWrdRead (S16BIT swDevice, U16BIT wWordLocation, U16BIT* wpWord) { return sitalRt_BuiltInTestWord_Read (swDevice, wWordLocation, wpWord); }

S16BIT _DECL aceRTBITWrdWrite (S16BIT swDevice, U16BIT wWord) { return sitalRt_BuiltInTestWord_Write (swDevice, wWord); }

S16BIT _DECL aceRTInstallHBuf (S16BIT swDevice, U32BIT dwHostBufferSize) { return sitalRt_HostBuffer_Initialize (swDevice, dwHostBufferSize); }

S16BIT _DECL aceRTUninstallHBuf (S16BIT swDevice) { return sitalRt_HostBuffer_Free (swDevice); }

S16BIT _DECL aceRTStkToHBuf (S16BIT swDevice) { return sitalRt_HostBuffer_Message_Record (swDevice); }

S16BIT _DECL aceRTGetHBufMsgCount (S16BIT swDevice) { return sitalRt_HostBuffer_Message_GetCount (swDevice); }

S16BIT _DECL aceRTGetHBufMsgDecoded (	S16BIT swDevice,	sitalDecodedMessageStructure* dmspDecodedMessage,	U32BIT* dwpMessageCount,	U32BIT* dwpStackLostMessageCount,	U32BIT* dwpHostBufferLostMessageCount,	U16BIT wMessageLocationAndRemoval) {	return sitalRt_HostBuffer_Message_GetDecoded (swDevice, dmspDecodedMessage, dwpMessageCount, dwpStackLostMessageCount, dwpHostBufferLostMessageCount, wMessageLocationAndRemoval); }

S16BIT _DECL aceRTGetHBufMsgsRaw (	S16BIT swDevice,	U16BIT* wapBuffer,	U16BIT wBufferSize,	U32BIT* dwpMessageCount,	U32BIT* dwpStackLostMessageCount,	U32BIT* dwpHostBufferLostMessageCount) {	return sitalRt_HostBuffer_Message_GetRaw (swDevice, wapBuffer, wBufferSize, dwpMessageCount, dwpStackLostMessageCount, dwpHostBufferLostMessageCount); }

S16BIT _DECL aceRTGetHBufMetric (S16BIT swDevice, sitalHostBufferOperationalStatisticsStructure* hbosspHostBufferOperationalStatistics, U16BIT bIsResetOfHighestRecordedPercentageRequired) { return sitalRt_HostBuffer_GetOperationalStatistics (swDevice, hbosspHostBufferOperationalStatistics, bIsResetOfHighestRecordedPercentageRequired); }

S16BIT _DECL aceRTGetStkMetric (	S16BIT swDevice,	sitalStackOperationalStatisticsStructure* sosspStackOperationalStatistics,	U16BIT bIsResetOfHighestRecordedPercentageRequired) {	return sitalRt_Stack_GetOperationalStatistics (swDevice, sosspStackOperationalStatistics, bIsResetOfHighestRecordedPercentageRequired); }

S16BIT _DECL aceMTConfigure (	S16BIT swDevice,	U16BIT wStackMode,	U16BIT wCommandStackSize,	U16BIT wDataStackSize,	U32BIT dwOptions) {	return sitalMt_Initialize (swDevice, wStackMode, wCommandStackSize, wDataStackSize, dwOptions); }

S16BIT _DECL aceMTGetStkMetric (	S16BIT swDevice,	sitalStackOperationalStatisticsStructure* sosspStackOperationalStatistics,	U16BIT wStackSelector,	U16BIT bIsResetOfHighestRecordedPercentageRequired) {	return sitalMt_Stack_GetOperationalStatistics (swDevice, sosspStackOperationalStatistics, wStackSelector, bIsResetOfHighestRecordedPercentageRequired); }

S16BIT _DECL aceMTSwapStks (S16BIT swDevice) { return sitalMt_Stack_Swap (swDevice); }

S16BIT _DECL aceMTGetInfo (S16BIT swDevice, sitalMtInformationStructure* mispMtInformation) { return sitalMt_GetInformation (swDevice, mispMtInformation); }

S16BIT _DECL aceMTStart (S16BIT swDevice) { return sitalMt_Start (swDevice); }

S16BIT _DECL aceMTStop (S16BIT swDevice) { return sitalMt_Stop (swDevice); }

S16BIT _DECL aceMTPause (S16BIT swDevice) { return sitalMt_Pause (swDevice); }

S16BIT _DECL aceMTContinue (S16BIT swDevice) { return sitalMt_Continue (swDevice); }

S16BIT _DECL aceMTEnableRTFilter (	S16BIT swDevice,	U16BIT wRtAddress,	U16BIT wMessageDirection,	U32BIT dwSubaddressMask) {	return sitalMt_MessageMonitoring_Enable (swDevice, wRtAddress, wMessageDirection, dwSubaddressMask); }

S16BIT _DECL aceMTDisableRTFilter (	S16BIT swDevice,	U16BIT wRtAddress,	U16BIT wMessageDirection,	U32BIT dwSubaddressMask) {	return sitalMt_MessageMonitoring_Disable (swDevice, wRtAddress, wMessageDirection, dwSubaddressMask); }

S16BIT _DECL aceMTGetRTFilter (	S16BIT swDevice,	U16BIT wRtAddress,	U16BIT wMessageDirection,	U32BIT* dwpSubaddressMask) {	return sitalMt_MessageMonitoring_GetStatus (swDevice, wRtAddress, wMessageDirection, dwpSubaddressMask); }

S16BIT _DECL aceMTDecodeRawMsg (	S16BIT swDevice,	U16BIT* wapBuffer,	sitalDecodedMessageStructure* dmspDecodedMessage) {	return sitalMt_Message_DecodeRaw (swDevice, wapBuffer, dmspDecodedMessage); }

S16BIT _DECL aceMTGetStkMsgsRaw (	S16BIT swDevice,	U16BIT* wapBuffer,	U16BIT wBufferSize,	U16BIT wStackLocation) {	return sitalMt_Message_GetFromStackRaw (swDevice, wapBuffer, wBufferSize, wStackLocation); }

S16BIT _DECL aceMTGetStkMsgDecoded (	S16BIT swDevice,	sitalDecodedMessageStructure* dmspDecodedMessage,	U16BIT wMessageLocationAndRemoval,	U16BIT wStackLocation) {	return sitalMt_Message_GetFromStackDecoded (swDevice, dmspDecodedMessage, wMessageLocationAndRemoval, wStackLocation); }

S16BIT _DECL aceMTInstallHBuf (S16BIT swDevice, U32BIT dwHostBufferSize) { return sitalMt_HostBuffer_Initialize (swDevice, dwHostBufferSize); }

S16BIT _DECL aceMTUninstallHBuf (S16BIT swDevice) { return sitalMt_HostBuffer_Free (swDevice); }

S16BIT _DECL aceMTStkToHBuf (S16BIT swDevice) { return sitalMt_HostBuffer_Message_Record (swDevice); }

S16BIT _DECL aceMTGetHBufMsgCount (S16BIT swDevice) { return sitalMt_HostBuffer_Message_GetCount (swDevice); }

S16BIT _DECL aceMTGetHBufMsgDecoded (	S16BIT swDevice,	sitalDecodedMessageStructure* dmspDecodedMessage,	U32BIT* dwpMessageCount,	U32BIT* dwpStackLostMessageCount,	U32BIT* dwpHostBufferLostMessageCount,	U16BIT wMessageLocationAndRemoval) {	return sitalMt_HostBuffer_Message_GetDecoded (swDevice, dmspDecodedMessage, dwpMessageCount, dwpStackLostMessageCount, dwpHostBufferLostMessageCount, wMessageLocationAndRemoval); }

S16BIT _DECL aceMTGetHBufMsgsRaw (	S16BIT swDevice,	U16BIT* wapBuffer,	U16BIT wBufferSize,	U32BIT* dwpMessageCount,	U32BIT* dwpStackLostMessageCount,	U32BIT* dwpHostBufferLostMessageCount) {	return sitalMt_HostBuffer_Message_GetRaw (swDevice, wapBuffer, wBufferSize, dwpMessageCount, dwpStackLostMessageCount, dwpHostBufferLostMessageCount); }

S16BIT _DECL aceMTGetHBufMetric (S16BIT swDevice, sitalHostBufferOperationalStatisticsStructure* hbosspHostBufferOperationalStatistics, U16BIT bIsResetOfHighestRecordedPercentageRequired) { return sitalMt_HostBuffer_GetOperationalStatistics (swDevice, hbosspHostBufferOperationalStatistics, bIsResetOfHighestRecordedPercentageRequired); }

S16BIT _DECL aceRTMTConfigure (S16BIT swDevice, U16BIT wRtCommandStackSize,	U16BIT wMtStackMode,	U16BIT wMtCommandStackSize,	U16BIT wMtDataStackSize, U16BIT wOptions) { return sitalRtMt_Initialize (swDevice, wRtCommandStackSize,	wMtStackMode, wMtCommandStackSize,	wMtDataStackSize, wOptions); }

S16BIT _DECL aceRTMTStart (S16BIT swDevice) { return sitalRtMt_Start (swDevice); }

S16BIT _DECL aceRTMTStop (S16BIT swDevice) { return sitalRtMt_Stop (swDevice); }

S16BIT _DECL aceRTMTInstallHBuf (S16BIT swDevice, U32BIT dwHostBufferSize) { return sitalRtMt_HostBuffer_Initialize (swDevice, dwHostBufferSize); }

S16BIT _DECL aceRTMTUninstallHBuf (S16BIT swDevice) { return sitalRtMt_HostBuffer_Free (swDevice); }

S16BIT _DECL aceRTMTStkToHBuf (S16BIT swDevice) { return sitalRtMt_HostBuffer_Message_Record (swDevice); }

S16BIT _DECL aceRTMTGetHBufMsgCount (S16BIT swDevice) { return sitalRtMt_HostBuffer_Message_GetCount (swDevice); }

S16BIT _DECL aceRTMTGetHBufMsgDecoded (	S16BIT swDevice,	sitalDecodedMessageStructure* dmspDecodedMessage,	U32BIT* dwpMessageCount,	U32BIT* dwpRtStackLostMessageCount,	U32BIT* dwpMtStackLostMessageCount,	U32BIT* dwpHostBufferLostMessageCount,	U16BIT wMessageLocationAndRemoval) {	return sitalRtMt_HostBuffer_Message_GetDecoded (swDevice, dmspDecodedMessage, dwpMessageCount, dwpRtStackLostMessageCount, dwpMtStackLostMessageCount, dwpHostBufferLostMessageCount, wMessageLocationAndRemoval); }

S16BIT _DECL aceRTMTGetHBufMsgsRaw (	S16BIT swDevice,	U16BIT* wapBuffer,	U16BIT wBufferSize,	U32BIT* dwpMessageCount,	U32BIT* dwpRtStackLostMessageCount,	U32BIT* dwpMtStackLostMessageCount,	U32BIT* dwpHostBufferLostMessageCount) {	return sitalRtMt_HostBuffer_Message_GetRaw (swDevice, wapBuffer, wBufferSize, dwpMessageCount, dwpRtStackLostMessageCount, dwpMtStackLostMessageCount, dwpHostBufferLostMessageCount); }

S16BIT _DECL aceRTMTGetHBufMetric (S16BIT swDevice, sitalHostBufferOperationalStatisticsStructure* hbosspHostBufferOperationalStatistics, U16BIT bIsResetOfHighestRecordedPercentageRequired) { return sitalRtMt_HostBuffer_GetOperationalStatistics (swDevice, hbosspHostBufferOperationalStatistics, bIsResetOfHighestRecordedPercentageRequired); }
#endif // __unix__



#ifdef _MANAGED
#pragma managed(pop)
#endif
